Milestone Task¶
Milestone Task - Get Milestone Task¶
HTTP Request
GET /api/milestone-tasks/{id}
📋 Description: Retrieves detailed information about a specific milestone task within the Nakisa Portfolio Management Suite, enabling users to analyze and manage portfolio assets effectively in the context of real estate property analytics.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer(int64) |
true |
Unique identifier for the resource |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "createdBy": "string",
3 "lastModifiedBy": "string",
4 "createdDate": "2019-08-24T14:15:22Z",
5 "lastModifiedDate": "2019-08-24T14:15:22Z",
6 "archived": true,
7 "externalId": "string",
8 "id": 0,
9 "name": "string",
10 "description": "string",
11 "wbs": 0,
12 "startDate": "2019-08-24",
13 "targetDate": "2019-08-24",
14 "statusId": 0,
15 "assigneeId": 0,
16 "assigneeCanModify": true,
17 "notificationTypeId": 0,
18 "triggerId": 0,
19 "statusOfTriggerId": 0,
20 "emailSendDate": "2019-08-24",
21 "lastEmailSent": "2019-08-24",
22 "isEmailAcknowledged": true,
23 "nbEmailSent": 0,
24 "milestoneTaskKeywordId": 0,
25 "milestoneTaskKeywordValue": "string",
26 "approverId": 0,
27 "approvalStatusId": 0,
28 "refernceTaskId": 0,
29 "approvalDate": "2019-08-24",
30 "nrmWorkOrderId": 0,
31 "nrmWorkOrderDisplayId": "string",
32 "milestoneId": 0,
33 "assignee": {
34 "createdBy": "string",
35 "lastModifiedBy": "string",
36 "createdDate": "2019-08-24T14:15:22Z",
37 "lastModifiedDate": "2019-08-24T14:15:22Z",
38 "archived": true,
39 "externalId": "string",
40 "id": 0,
41 "email": "string",
42 "userName": "string",
43 "firstName": "string",
44 "lastName": "string",
45 "displayName": "string",
46 "permissions": "string",
47 "internalId": "string",
48 "preferredCulture": {
49 "createdBy": "string",
50 "lastModifiedBy": "string",
51 "createdDate": "2019-08-24T14:15:22Z",
52 "lastModifiedDate": "2019-08-24T14:15:22Z",
53 "archived": true,
54 "externalId": "string",
55 "id": 0,
56 "name": "string",
57 "code": "string",
58 "defaultCulture": true,
59 "enable": true
60 },
61 "userGroups": [
62 {
63 "createdBy": "string",
64 "lastModifiedBy": "string",
65 "createdDate": "2019-08-24T14:15:22Z",
66 "lastModifiedDate": "2019-08-24T14:15:22Z",
67 "archived": true,
68 "externalId": "string",
69 "id": 0,
70 "name": "string",
71 "description": "string",
72 "internalId": "string"
73 }
74 ],
75 "partnerIds": [
76 0
77 ],
78 "partners": [
79 {
80 "id": 0,
81 "status": "CREATED",
82 "displayId": "string",
83 "erpSystemId": 0,
84 "erpSystemDisplayId": "string",
85 "name": "string",
86 "fax": "string",
87 "phone": "string",
88 "parentId": 0,
89 "parentName": "string",
90 "parentDisplayId": "string",
91 "companyId": 0,
92 "partnerRoleId": 0,
93 "partnerContactId": 0
94 }
95 ]
96 },
97 "trigger": {
98 "createdBy": "string",
99 "lastModifiedBy": "string",
100 "createdDate": "2019-08-24T14:15:22Z",
101 "lastModifiedDate": "2019-08-24T14:15:22Z",
102 "archived": true,
103 "externalId": "string",
104 "id": 0,
105 "name": "string",
106 "description": "string",
107 "wbs": 0,
108 "startDate": "2019-08-24",
109 "targetDate": "2019-08-24",
110 "statusId": 0,
111 "assigneeId": 0,
112 "assigneeCanModify": true,
113 "notificationTypeId": 0,
114 "triggerId": 0,
115 "statusOfTriggerId": 0,
116 "emailSendDate": "2019-08-24",
117 "lastEmailSent": "2019-08-24",
118 "isEmailAcknowledged": true,
119 "nbEmailSent": 0,
120 "milestoneTaskKeywordId": 0,
121 "milestoneTaskKeywordValue": "string",
122 "approverId": 0,
123 "approvalStatusId": 0,
124 "refernceTaskId": 0,
125 "approvalDate": "2019-08-24",
126 "nrmWorkOrderId": 0,
127 "nrmWorkOrderDisplayId": "string",
128 "milestoneId": 0,
129 "assignee": {
130 "createdBy": "string",
131 "lastModifiedBy": "string",
132 "createdDate": "2019-08-24T14:15:22Z",
133 "lastModifiedDate": "2019-08-24T14:15:22Z",
134 "archived": true,
135 "externalId": "string",
136 "id": 0,
137 "email": "string",
138 "userName": "string",
139 "firstName": "string",
140 "lastName": "string",
141 "displayName": "string",
142 "permissions": "string",
143 "internalId": "string",
144 "preferredCulture": {
145 "createdBy": "string",
146 "lastModifiedBy": "string",
147 "createdDate": "2019-08-24T14:15:22Z",
148 "lastModifiedDate": "2019-08-24T14:15:22Z",
149 "archived": true,
150 "externalId": "string",
151 "id": 0,
152 "name": "string",
153 "code": "string",
154 "defaultCulture": true,
155 "enable": true
156 },
157 "userGroups": [
158 {
159 "createdBy": "string",
160 "lastModifiedBy": "string",
161 "createdDate": "2019-08-24T14:15:22Z",
162 "lastModifiedDate": "2019-08-24T14:15:22Z",
163 "archived": true,
164 "externalId": "string",
165 "id": 0,
166 "name": "string",
167 "description": "string",
168 "internalId": "string"
169 }
170 ],
171 "partnerIds": [
172 0
173 ],
174 "partners": [
175 {
176 "id": 0,
177 "status": "CREATED",
178 "displayId": "string",
179 "erpSystemId": 0,
180 "erpSystemDisplayId": "string",
181 "name": "string",
182 "fax": "string",
183 "phone": "string",
184 "parentId": 0,
185 "parentName": "string",
186 "parentDisplayId": "string",
187 "companyId": 0,
188 "partnerRoleId": 0,
189 "partnerContactId": 0
190 }
191 ]
192 },
193 "trigger": {},
194 "statusOfTrigger": {
195 "createdBy": "string",
196 "lastModifiedBy": "string",
197 "createdDate": "2019-08-24T14:15:22Z",
198 "lastModifiedDate": "2019-08-24T14:15:22Z",
199 "archived": true,
200 "externalId": "string",
201 "id": 0,
202 "priority": 0,
203 "internalId": 0,
204 "pickListCode": "string",
205 "pickListLabel": "string",
206 "label": "string",
207 "cultureId": 0,
208 "labelDtos": [
209 {
210 "createdBy": "string",
211 "lastModifiedBy": "string",
212 "createdDate": "2019-08-24T14:15:22Z",
213 "lastModifiedDate": "2019-08-24T14:15:22Z",
214 "archived": true,
215 "externalId": "string",
216 "id": 0,
217 "cultureId": 0,
218 "value": "string"
219 }
220 ]
221 },
222 "milestoneTaskKeyword": {
223 "createdBy": "string",
224 "lastModifiedBy": "string",
225 "createdDate": "2019-08-24T14:15:22Z",
226 "lastModifiedDate": "2019-08-24T14:15:22Z",
227 "archived": true,
228 "externalId": "string",
229 "id": 0,
230 "priority": 0,
231 "internalId": 0,
232 "pickListCode": "string",
233 "pickListLabel": "string",
234 "label": "string",
235 "cultureId": 0,
236 "labelDtos": [
237 {
238 "createdBy": "string",
239 "lastModifiedBy": "string",
240 "createdDate": "2019-08-24T14:15:22Z",
241 "lastModifiedDate": "2019-08-24T14:15:22Z",
242 "archived": true,
243 "externalId": "string",
244 "id": 0,
245 "cultureId": 0,
246 "value": "string"
247 }
248 ]
249 },
250 "status": {
251 "createdBy": "string",
252 "lastModifiedBy": "string",
253 "createdDate": "2019-08-24T14:15:22Z",
254 "lastModifiedDate": "2019-08-24T14:15:22Z",
255 "archived": true,
256 "externalId": "string",
257 "id": 0,
258 "priority": 0,
259 "internalId": 0,
260 "pickListCode": "string",
261 "pickListLabel": "string",
262 "label": "string",
263 "cultureId": 0,
264 "labelDtos": [
265 {
266 "createdBy": "string",
267 "lastModifiedBy": "string",
268 "createdDate": "2019-08-24T14:15:22Z",
269 "lastModifiedDate": "2019-08-24T14:15:22Z",
270 "archived": true,
271 "externalId": "string",
272 "id": 0,
273 "cultureId": 0,
274 "value": "string"
275 }
276 ]
277 },
278 "approvalStatus": {
279 "createdBy": "string",
280 "lastModifiedBy": "string",
281 "createdDate": "2019-08-24T14:15:22Z",
282 "lastModifiedDate": "2019-08-24T14:15:22Z",
283 "archived": true,
284 "externalId": "string",
285 "id": 0,
286 "priority": 0,
287 "internalId": 0,
288 "pickListCode": "string",
289 "pickListLabel": "string",
290 "label": "string",
291 "cultureId": 0,
292 "labelDtos": [
293 {
294 "createdBy": "string",
295 "lastModifiedBy": "string",
296 "createdDate": "2019-08-24T14:15:22Z",
297 "lastModifiedDate": "2019-08-24T14:15:22Z",
298 "archived": true,
299 "externalId": "string",
300 "id": 0,
301 "cultureId": 0,
302 "value": "string"
303 }
304 ]
305 },
306 "notificationType": {
307 "createdBy": "string",
308 "lastModifiedBy": "string",
309 "createdDate": "2019-08-24T14:15:22Z",
310 "lastModifiedDate": "2019-08-24T14:15:22Z",
311 "archived": true,
312 "externalId": "string",
313 "id": 0,
314 "priority": 0,
315 "internalId": 0,
316 "pickListCode": "string",
317 "pickListLabel": "string",
318 "label": "string",
319 "cultureId": 0,
320 "labelDtos": [
321 {
322 "createdBy": "string",
323 "lastModifiedBy": "string",
324 "createdDate": "2019-08-24T14:15:22Z",
325 "lastModifiedDate": "2019-08-24T14:15:22Z",
326 "archived": true,
327 "externalId": "string",
328 "id": 0,
329 "cultureId": 0,
330 "value": "string"
331 }
332 ]
333 },
334 "approver": {
335 "createdBy": "string",
336 "lastModifiedBy": "string",
337 "createdDate": "2019-08-24T14:15:22Z",
338 "lastModifiedDate": "2019-08-24T14:15:22Z",
339 "archived": true,
340 "externalId": "string",
341 "id": 0,
342 "email": "string",
343 "userName": "string",
344 "firstName": "string",
345 "lastName": "string",
346 "displayName": "string",
347 "permissions": "string",
348 "internalId": "string",
349 "preferredCulture": {
350 "createdBy": "string",
351 "lastModifiedBy": "string",
352 "createdDate": "2019-08-24T14:15:22Z",
353 "lastModifiedDate": "2019-08-24T14:15:22Z",
354 "archived": true,
355 "externalId": "string",
356 "id": 0,
357 "name": "string",
358 "code": "string",
359 "defaultCulture": true,
360 "enable": true
361 },
362 "userGroups": [
363 {
364 "createdBy": "string",
365 "lastModifiedBy": "string",
366 "createdDate": "2019-08-24T14:15:22Z",
367 "lastModifiedDate": "2019-08-24T14:15:22Z",
368 "archived": true,
369 "externalId": "string",
370 "id": 0,
371 "name": "string",
372 "description": "string",
373 "internalId": "string"
374 }
375 ],
376 "partnerIds": [
377 0
378 ],
379 "partners": [
380 {
381 "id": 0,
382 "status": "CREATED",
383 "displayId": "string",
384 "erpSystemId": 0,
385 "erpSystemDisplayId": "string",
386 "name": "string",
387 "fax": "string",
388 "phone": "string",
389 "parentId": 0,
390 "parentName": "string",
391 "parentDisplayId": "string",
392 "companyId": 0,
393 "partnerRoleId": 0,
394 "partnerContactId": 0
395 }
396 ]
397 }
398 },
399 "statusOfTrigger": {
400 "createdBy": "string",
401 "lastModifiedBy": "string",
402 "createdDate": "2019-08-24T14:15:22Z",
403 "lastModifiedDate": "2019-08-24T14:15:22Z",
404 "archived": true,
405 "externalId": "string",
406 "id": 0,
407 "priority": 0,
408 "internalId": 0,
409 "pickListCode": "string",
410 "pickListLabel": "string",
411 "label": "string",
412 "cultureId": 0,
413 "labelDtos": [
414 {
415 "createdBy": "string",
416 "lastModifiedBy": "string",
417 "createdDate": "2019-08-24T14:15:22Z",
418 "lastModifiedDate": "2019-08-24T14:15:22Z",
419 "archived": true,
420 "externalId": "string",
421 "id": 0,
422 "cultureId": 0,
423 "value": "string"
424 }
425 ]
426 },
427 "milestoneTaskKeyword": {
428 "createdBy": "string",
429 "lastModifiedBy": "string",
430 "createdDate": "2019-08-24T14:15:22Z",
431 "lastModifiedDate": "2019-08-24T14:15:22Z",
432 "archived": true,
433 "externalId": "string",
434 "id": 0,
435 "priority": 0,
436 "internalId": 0,
437 "pickListCode": "string",
438 "pickListLabel": "string",
439 "label": "string",
440 "cultureId": 0,
441 "labelDtos": [
442 {
443 "createdBy": "string",
444 "lastModifiedBy": "string",
445 "createdDate": "2019-08-24T14:15:22Z",
446 "lastModifiedDate": "2019-08-24T14:15:22Z",
447 "archived": true,
448 "externalId": "string",
449 "id": 0,
450 "cultureId": 0,
451 "value": "string"
452 }
453 ]
454 },
455 "status": {
456 "createdBy": "string",
457 "lastModifiedBy": "string",
458 "createdDate": "2019-08-24T14:15:22Z",
459 "lastModifiedDate": "2019-08-24T14:15:22Z",
460 "archived": true,
461 "externalId": "string",
462 "id": 0,
463 "priority": 0,
464 "internalId": 0,
465 "pickListCode": "string",
466 "pickListLabel": "string",
467 "label": "string",
468 "cultureId": 0,
469 "labelDtos": [
470 {
471 "createdBy": "string",
472 "lastModifiedBy": "string",
473 "createdDate": "2019-08-24T14:15:22Z",
474 "lastModifiedDate": "2019-08-24T14:15:22Z",
475 "archived": true,
476 "externalId": "string",
477 "id": 0,
478 "cultureId": 0,
479 "value": "string"
480 }
481 ]
482 },
483 "approvalStatus": {
484 "createdBy": "string",
485 "lastModifiedBy": "string",
486 "createdDate": "2019-08-24T14:15:22Z",
487 "lastModifiedDate": "2019-08-24T14:15:22Z",
488 "archived": true,
489 "externalId": "string",
490 "id": 0,
491 "priority": 0,
492 "internalId": 0,
493 "pickListCode": "string",
494 "pickListLabel": "string",
495 "label": "string",
496 "cultureId": 0,
497 "labelDtos": [
498 {
499 "createdBy": "string",
500 "lastModifiedBy": "string",
501 "createdDate": "2019-08-24T14:15:22Z",
502 "lastModifiedDate": "2019-08-24T14:15:22Z",
503 "archived": true,
504 "externalId": "string",
505 "id": 0,
506 "cultureId": 0,
507 "value": "string"
508 }
509 ]
510 },
511 "notificationType": {
512 "createdBy": "string",
513 "lastModifiedBy": "string",
514 "createdDate": "2019-08-24T14:15:22Z",
515 "lastModifiedDate": "2019-08-24T14:15:22Z",
516 "archived": true,
517 "externalId": "string",
518 "id": 0,
519 "priority": 0,
520 "internalId": 0,
521 "pickListCode": "string",
522 "pickListLabel": "string",
523 "label": "string",
524 "cultureId": 0,
525 "labelDtos": [
526 {
527 "createdBy": "string",
528 "lastModifiedBy": "string",
529 "createdDate": "2019-08-24T14:15:22Z",
530 "lastModifiedDate": "2019-08-24T14:15:22Z",
531 "archived": true,
532 "externalId": "string",
533 "id": 0,
534 "cultureId": 0,
535 "value": "string"
536 }
537 ]
538 },
539 "approver": {
540 "createdBy": "string",
541 "lastModifiedBy": "string",
542 "createdDate": "2019-08-24T14:15:22Z",
543 "lastModifiedDate": "2019-08-24T14:15:22Z",
544 "archived": true,
545 "externalId": "string",
546 "id": 0,
547 "email": "string",
548 "userName": "string",
549 "firstName": "string",
550 "lastName": "string",
551 "displayName": "string",
552 "permissions": "string",
553 "internalId": "string",
554 "preferredCulture": {
555 "createdBy": "string",
556 "lastModifiedBy": "string",
557 "createdDate": "2019-08-24T14:15:22Z",
558 "lastModifiedDate": "2019-08-24T14:15:22Z",
559 "archived": true,
560 "externalId": "string",
561 "id": 0,
562 "name": "string",
563 "code": "string",
564 "defaultCulture": true,
565 "enable": true
566 },
567 "userGroups": [
568 {
569 "createdBy": "string",
570 "lastModifiedBy": "string",
571 "createdDate": "2019-08-24T14:15:22Z",
572 "lastModifiedDate": "2019-08-24T14:15:22Z",
573 "archived": true,
574 "externalId": "string",
575 "id": 0,
576 "name": "string",
577 "description": "string",
578 "internalId": "string"
579 }
580 ],
581 "partnerIds": [
582 0
583 ],
584 "partners": [
585 {
586 "id": 0,
587 "status": "CREATED",
588 "displayId": "string",
589 "erpSystemId": 0,
590 "erpSystemDisplayId": "string",
591 "name": "string",
592 "fax": "string",
593 "phone": "string",
594 "parentId": 0,
595 "parentName": "string",
596 "parentDisplayId": "string",
597 "companyId": 0,
598 "partnerRoleId": 0,
599 "partnerContactId": 0
600 }
601 ]
602 }
603}
Milestone Task - Update Milestone Task¶
HTTP Request
PUT /api/milestone-tasks/{id}
📋 Description: Updates the details of a specific milestone task identified by its unique ID within the Nakisa Portfolio Management Suite, enabling users to manage portfolio and asset-related tasks effectively in the context of real estate property analytics.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer(int64) |
true |
Unique identifier for the resource |
body |
body |
true |
Request body containing the updated milestone task details, including status, priority, and associated asset information, to enhance portfolio management and analytics within the Nakisa Portfolio Management Suite. |
Body Parameters
1{
2 "createdBy": "string",
3 "lastModifiedBy": "string",
4 "createdDate": "2019-08-24T14:15:22Z",
5 "lastModifiedDate": "2019-08-24T14:15:22Z",
6 "archived": true,
7 "externalId": "string",
8 "id": 0,
9 "name": "string",
10 "description": "string",
11 "wbs": 0,
12 "startDate": "2019-08-24",
13 "targetDate": "2019-08-24",
14 "statusId": 0,
15 "assigneeId": 0,
16 "assigneeCanModify": true,
17 "notificationTypeId": 0,
18 "triggerId": 0,
19 "statusOfTriggerId": 0,
20 "emailSendDate": "2019-08-24",
21 "lastEmailSent": "2019-08-24",
22 "isEmailAcknowledged": true,
23 "nbEmailSent": 0,
24 "milestoneTaskKeywordId": 0,
25 "milestoneTaskKeywordValue": "string",
26 "approverId": 0,
27 "approvalStatusId": 0,
28 "refernceTaskId": 0,
29 "approvalDate": "2019-08-24",
30 "nrmWorkOrderId": 0,
31 "nrmWorkOrderDisplayId": "string",
32 "milestoneId": 0,
33 "assignee": {
34 "createdBy": "string",
35 "lastModifiedBy": "string",
36 "createdDate": "2019-08-24T14:15:22Z",
37 "lastModifiedDate": "2019-08-24T14:15:22Z",
38 "archived": true,
39 "externalId": "string",
40 "id": 0,
41 "email": "string",
42 "userName": "string",
43 "firstName": "string",
44 "lastName": "string",
45 "displayName": "string",
46 "permissions": "string",
47 "internalId": "string",
48 "preferredCulture": {
49 "createdBy": "string",
50 "lastModifiedBy": "string",
51 "createdDate": "2019-08-24T14:15:22Z",
52 "lastModifiedDate": "2019-08-24T14:15:22Z",
53 "archived": true,
54 "externalId": "string",
55 "id": 0,
56 "name": "string",
57 "code": "string",
58 "defaultCulture": true,
59 "enable": true
60 },
61 "userGroups": [
62 {
63 "createdBy": "string",
64 "lastModifiedBy": "string",
65 "createdDate": "2019-08-24T14:15:22Z",
66 "lastModifiedDate": "2019-08-24T14:15:22Z",
67 "archived": true,
68 "externalId": "string",
69 "id": 0,
70 "name": "string",
71 "description": "string",
72 "internalId": "string"
73 }
74 ],
75 "partnerIds": [
76 0
77 ],
78 "partners": [
79 {
80 "id": 0,
81 "status": "CREATED",
82 "displayId": "string",
83 "erpSystemId": 0,
84 "erpSystemDisplayId": "string",
85 "name": "string",
86 "fax": "string",
87 "phone": "string",
88 "parentId": 0,
89 "parentName": "string",
90 "parentDisplayId": "string",
91 "companyId": 0,
92 "partnerRoleId": 0,
93 "partnerContactId": 0
94 }
95 ]
96 },
97 "trigger": {
98 "createdBy": "string",
99 "lastModifiedBy": "string",
100 "createdDate": "2019-08-24T14:15:22Z",
101 "lastModifiedDate": "2019-08-24T14:15:22Z",
102 "archived": true,
103 "externalId": "string",
104 "id": 0,
105 "name": "string",
106 "description": "string",
107 "wbs": 0,
108 "startDate": "2019-08-24",
109 "targetDate": "2019-08-24",
110 "statusId": 0,
111 "assigneeId": 0,
112 "assigneeCanModify": true,
113 "notificationTypeId": 0,
114 "triggerId": 0,
115 "statusOfTriggerId": 0,
116 "emailSendDate": "2019-08-24",
117 "lastEmailSent": "2019-08-24",
118 "isEmailAcknowledged": true,
119 "nbEmailSent": 0,
120 "milestoneTaskKeywordId": 0,
121 "milestoneTaskKeywordValue": "string",
122 "approverId": 0,
123 "approvalStatusId": 0,
124 "refernceTaskId": 0,
125 "approvalDate": "2019-08-24",
126 "nrmWorkOrderId": 0,
127 "nrmWorkOrderDisplayId": "string",
128 "milestoneId": 0,
129 "assignee": {
130 "createdBy": "string",
131 "lastModifiedBy": "string",
132 "createdDate": "2019-08-24T14:15:22Z",
133 "lastModifiedDate": "2019-08-24T14:15:22Z",
134 "archived": true,
135 "externalId": "string",
136 "id": 0,
137 "email": "string",
138 "userName": "string",
139 "firstName": "string",
140 "lastName": "string",
141 "displayName": "string",
142 "permissions": "string",
143 "internalId": "string",
144 "preferredCulture": {
145 "createdBy": "string",
146 "lastModifiedBy": "string",
147 "createdDate": "2019-08-24T14:15:22Z",
148 "lastModifiedDate": "2019-08-24T14:15:22Z",
149 "archived": true,
150 "externalId": "string",
151 "id": 0,
152 "name": "string",
153 "code": "string",
154 "defaultCulture": true,
155 "enable": true
156 },
157 "userGroups": [
158 {
159 "createdBy": "string",
160 "lastModifiedBy": "string",
161 "createdDate": "2019-08-24T14:15:22Z",
162 "lastModifiedDate": "2019-08-24T14:15:22Z",
163 "archived": true,
164 "externalId": "string",
165 "id": 0,
166 "name": "string",
167 "description": "string",
168 "internalId": "string"
169 }
170 ],
171 "partnerIds": [
172 0
173 ],
174 "partners": [
175 {
176 "id": 0,
177 "status": "CREATED",
178 "displayId": "string",
179 "erpSystemId": 0,
180 "erpSystemDisplayId": "string",
181 "name": "string",
182 "fax": "string",
183 "phone": "string",
184 "parentId": 0,
185 "parentName": "string",
186 "parentDisplayId": "string",
187 "companyId": 0,
188 "partnerRoleId": 0,
189 "partnerContactId": 0
190 }
191 ]
192 },
193 "trigger": {},
194 "statusOfTrigger": {
195 "createdBy": "string",
196 "lastModifiedBy": "string",
197 "createdDate": "2019-08-24T14:15:22Z",
198 "lastModifiedDate": "2019-08-24T14:15:22Z",
199 "archived": true,
200 "externalId": "string",
201 "id": 0,
202 "priority": 0,
203 "internalId": 0,
204 "pickListCode": "string",
205 "pickListLabel": "string",
206 "label": "string",
207 "cultureId": 0,
208 "labelDtos": [
209 {
210 "createdBy": "string",
211 "lastModifiedBy": "string",
212 "createdDate": "2019-08-24T14:15:22Z",
213 "lastModifiedDate": "2019-08-24T14:15:22Z",
214 "archived": true,
215 "externalId": "string",
216 "id": 0,
217 "cultureId": 0,
218 "value": "string"
219 }
220 ]
221 },
222 "milestoneTaskKeyword": {
223 "createdBy": "string",
224 "lastModifiedBy": "string",
225 "createdDate": "2019-08-24T14:15:22Z",
226 "lastModifiedDate": "2019-08-24T14:15:22Z",
227 "archived": true,
228 "externalId": "string",
229 "id": 0,
230 "priority": 0,
231 "internalId": 0,
232 "pickListCode": "string",
233 "pickListLabel": "string",
234 "label": "string",
235 "cultureId": 0,
236 "labelDtos": [
237 {
238 "createdBy": "string",
239 "lastModifiedBy": "string",
240 "createdDate": "2019-08-24T14:15:22Z",
241 "lastModifiedDate": "2019-08-24T14:15:22Z",
242 "archived": true,
243 "externalId": "string",
244 "id": 0,
245 "cultureId": 0,
246 "value": "string"
247 }
248 ]
249 },
250 "status": {
251 "createdBy": "string",
252 "lastModifiedBy": "string",
253 "createdDate": "2019-08-24T14:15:22Z",
254 "lastModifiedDate": "2019-08-24T14:15:22Z",
255 "archived": true,
256 "externalId": "string",
257 "id": 0,
258 "priority": 0,
259 "internalId": 0,
260 "pickListCode": "string",
261 "pickListLabel": "string",
262 "label": "string",
263 "cultureId": 0,
264 "labelDtos": [
265 {
266 "createdBy": "string",
267 "lastModifiedBy": "string",
268 "createdDate": "2019-08-24T14:15:22Z",
269 "lastModifiedDate": "2019-08-24T14:15:22Z",
270 "archived": true,
271 "externalId": "string",
272 "id": 0,
273 "cultureId": 0,
274 "value": "string"
275 }
276 ]
277 },
278 "approvalStatus": {
279 "createdBy": "string",
280 "lastModifiedBy": "string",
281 "createdDate": "2019-08-24T14:15:22Z",
282 "lastModifiedDate": "2019-08-24T14:15:22Z",
283 "archived": true,
284 "externalId": "string",
285 "id": 0,
286 "priority": 0,
287 "internalId": 0,
288 "pickListCode": "string",
289 "pickListLabel": "string",
290 "label": "string",
291 "cultureId": 0,
292 "labelDtos": [
293 {
294 "createdBy": "string",
295 "lastModifiedBy": "string",
296 "createdDate": "2019-08-24T14:15:22Z",
297 "lastModifiedDate": "2019-08-24T14:15:22Z",
298 "archived": true,
299 "externalId": "string",
300 "id": 0,
301 "cultureId": 0,
302 "value": "string"
303 }
304 ]
305 },
306 "notificationType": {
307 "createdBy": "string",
308 "lastModifiedBy": "string",
309 "createdDate": "2019-08-24T14:15:22Z",
310 "lastModifiedDate": "2019-08-24T14:15:22Z",
311 "archived": true,
312 "externalId": "string",
313 "id": 0,
314 "priority": 0,
315 "internalId": 0,
316 "pickListCode": "string",
317 "pickListLabel": "string",
318 "label": "string",
319 "cultureId": 0,
320 "labelDtos": [
321 {
322 "createdBy": "string",
323 "lastModifiedBy": "string",
324 "createdDate": "2019-08-24T14:15:22Z",
325 "lastModifiedDate": "2019-08-24T14:15:22Z",
326 "archived": true,
327 "externalId": "string",
328 "id": 0,
329 "cultureId": 0,
330 "value": "string"
331 }
332 ]
333 },
334 "approver": {
335 "createdBy": "string",
336 "lastModifiedBy": "string",
337 "createdDate": "2019-08-24T14:15:22Z",
338 "lastModifiedDate": "2019-08-24T14:15:22Z",
339 "archived": true,
340 "externalId": "string",
341 "id": 0,
342 "email": "string",
343 "userName": "string",
344 "firstName": "string",
345 "lastName": "string",
346 "displayName": "string",
347 "permissions": "string",
348 "internalId": "string",
349 "preferredCulture": {
350 "createdBy": "string",
351 "lastModifiedBy": "string",
352 "createdDate": "2019-08-24T14:15:22Z",
353 "lastModifiedDate": "2019-08-24T14:15:22Z",
354 "archived": true,
355 "externalId": "string",
356 "id": 0,
357 "name": "string",
358 "code": "string",
359 "defaultCulture": true,
360 "enable": true
361 },
362 "userGroups": [
363 {
364 "createdBy": "string",
365 "lastModifiedBy": "string",
366 "createdDate": "2019-08-24T14:15:22Z",
367 "lastModifiedDate": "2019-08-24T14:15:22Z",
368 "archived": true,
369 "externalId": "string",
370 "id": 0,
371 "name": "string",
372 "description": "string",
373 "internalId": "string"
374 }
375 ],
376 "partnerIds": [
377 0
378 ],
379 "partners": [
380 {
381 "id": 0,
382 "status": "CREATED",
383 "displayId": "string",
384 "erpSystemId": 0,
385 "erpSystemDisplayId": "string",
386 "name": "string",
387 "fax": "string",
388 "phone": "string",
389 "parentId": 0,
390 "parentName": "string",
391 "parentDisplayId": "string",
392 "companyId": 0,
393 "partnerRoleId": 0,
394 "partnerContactId": 0
395 }
396 ]
397 }
398 },
399 "statusOfTrigger": {
400 "createdBy": "string",
401 "lastModifiedBy": "string",
402 "createdDate": "2019-08-24T14:15:22Z",
403 "lastModifiedDate": "2019-08-24T14:15:22Z",
404 "archived": true,
405 "externalId": "string",
406 "id": 0,
407 "priority": 0,
408 "internalId": 0,
409 "pickListCode": "string",
410 "pickListLabel": "string",
411 "label": "string",
412 "cultureId": 0,
413 "labelDtos": [
414 {
415 "createdBy": "string",
416 "lastModifiedBy": "string",
417 "createdDate": "2019-08-24T14:15:22Z",
418 "lastModifiedDate": "2019-08-24T14:15:22Z",
419 "archived": true,
420 "externalId": "string",
421 "id": 0,
422 "cultureId": 0,
423 "value": "string"
424 }
425 ]
426 },
427 "milestoneTaskKeyword": {
428 "createdBy": "string",
429 "lastModifiedBy": "string",
430 "createdDate": "2019-08-24T14:15:22Z",
431 "lastModifiedDate": "2019-08-24T14:15:22Z",
432 "archived": true,
433 "externalId": "string",
434 "id": 0,
435 "priority": 0,
436 "internalId": 0,
437 "pickListCode": "string",
438 "pickListLabel": "string",
439 "label": "string",
440 "cultureId": 0,
441 "labelDtos": [
442 {
443 "createdBy": "string",
444 "lastModifiedBy": "string",
445 "createdDate": "2019-08-24T14:15:22Z",
446 "lastModifiedDate": "2019-08-24T14:15:22Z",
447 "archived": true,
448 "externalId": "string",
449 "id": 0,
450 "cultureId": 0,
451 "value": "string"
452 }
453 ]
454 },
455 "status": {
456 "createdBy": "string",
457 "lastModifiedBy": "string",
458 "createdDate": "2019-08-24T14:15:22Z",
459 "lastModifiedDate": "2019-08-24T14:15:22Z",
460 "archived": true,
461 "externalId": "string",
462 "id": 0,
463 "priority": 0,
464 "internalId": 0,
465 "pickListCode": "string",
466 "pickListLabel": "string",
467 "label": "string",
468 "cultureId": 0,
469 "labelDtos": [
470 {
471 "createdBy": "string",
472 "lastModifiedBy": "string",
473 "createdDate": "2019-08-24T14:15:22Z",
474 "lastModifiedDate": "2019-08-24T14:15:22Z",
475 "archived": true,
476 "externalId": "string",
477 "id": 0,
478 "cultureId": 0,
479 "value": "string"
480 }
481 ]
482 },
483 "approvalStatus": {
484 "createdBy": "string",
485 "lastModifiedBy": "string",
486 "createdDate": "2019-08-24T14:15:22Z",
487 "lastModifiedDate": "2019-08-24T14:15:22Z",
488 "archived": true,
489 "externalId": "string",
490 "id": 0,
491 "priority": 0,
492 "internalId": 0,
493 "pickListCode": "string",
494 "pickListLabel": "string",
495 "label": "string",
496 "cultureId": 0,
497 "labelDtos": [
498 {
499 "createdBy": "string",
500 "lastModifiedBy": "string",
501 "createdDate": "2019-08-24T14:15:22Z",
502 "lastModifiedDate": "2019-08-24T14:15:22Z",
503 "archived": true,
504 "externalId": "string",
505 "id": 0,
506 "cultureId": 0,
507 "value": "string"
508 }
509 ]
510 },
511 "notificationType": {
512 "createdBy": "string",
513 "lastModifiedBy": "string",
514 "createdDate": "2019-08-24T14:15:22Z",
515 "lastModifiedDate": "2019-08-24T14:15:22Z",
516 "archived": true,
517 "externalId": "string",
518 "id": 0,
519 "priority": 0,
520 "internalId": 0,
521 "pickListCode": "string",
522 "pickListLabel": "string",
523 "label": "string",
524 "cultureId": 0,
525 "labelDtos": [
526 {
527 "createdBy": "string",
528 "lastModifiedBy": "string",
529 "createdDate": "2019-08-24T14:15:22Z",
530 "lastModifiedDate": "2019-08-24T14:15:22Z",
531 "archived": true,
532 "externalId": "string",
533 "id": 0,
534 "cultureId": 0,
535 "value": "string"
536 }
537 ]
538 },
539 "approver": {
540 "createdBy": "string",
541 "lastModifiedBy": "string",
542 "createdDate": "2019-08-24T14:15:22Z",
543 "lastModifiedDate": "2019-08-24T14:15:22Z",
544 "archived": true,
545 "externalId": "string",
546 "id": 0,
547 "email": "string",
548 "userName": "string",
549 "firstName": "string",
550 "lastName": "string",
551 "displayName": "string",
552 "permissions": "string",
553 "internalId": "string",
554 "preferredCulture": {
555 "createdBy": "string",
556 "lastModifiedBy": "string",
557 "createdDate": "2019-08-24T14:15:22Z",
558 "lastModifiedDate": "2019-08-24T14:15:22Z",
559 "archived": true,
560 "externalId": "string",
561 "id": 0,
562 "name": "string",
563 "code": "string",
564 "defaultCulture": true,
565 "enable": true
566 },
567 "userGroups": [
568 {
569 "createdBy": "string",
570 "lastModifiedBy": "string",
571 "createdDate": "2019-08-24T14:15:22Z",
572 "lastModifiedDate": "2019-08-24T14:15:22Z",
573 "archived": true,
574 "externalId": "string",
575 "id": 0,
576 "name": "string",
577 "description": "string",
578 "internalId": "string"
579 }
580 ],
581 "partnerIds": [
582 0
583 ],
584 "partners": [
585 {
586 "id": 0,
587 "status": "CREATED",
588 "displayId": "string",
589 "erpSystemId": 0,
590 "erpSystemDisplayId": "string",
591 "name": "string",
592 "fax": "string",
593 "phone": "string",
594 "parentId": 0,
595 "parentName": "string",
596 "parentDisplayId": "string",
597 "companyId": 0,
598 "partnerRoleId": 0,
599 "partnerContactId": 0
600 }
601 ]
602 }
603}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
None |
Milestone Task - Delete Milestone Task¶
HTTP Request
DELETE /api/milestone-tasks/{id}
📋 Description: Deletes a specified milestone task within the Nakisa Portfolio Management Suite, enabling users to manage and streamline their portfolio and asset-related activities effectively.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer(int64) |
true |
Unique identifier for the resource |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
204 |
No Content |
None |
Milestone Task - Update Milestone Task Acknowledgment¶
HTTP Request
PUT /api/milestone-tasks/{id}/acknowledgment
📋 Description: Acknowledges a specific milestone task within the Nakisa Portfolio Management Suite, facilitating effective tracking and management of portfolio and asset-related activities in real estate property analytics.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer(int64) |
true |
Unique identifier for the resource |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
None |
Milestone Task - Get Milestone Tasks¶
HTTP Request
GET /api/milestone-tasks
📋 Description: Retrieves milestone tasks associated with assets within the Nakisa Portfolio Management Suite, enabling users to analyze and manage real estate property performance effectively.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
pageable |
query |
true |
Indicates whether the results of the milestone tasks query should be returned in a paginated format, facilitating efficient data retrieval for portfolio and asset management analytics. |
|
listing |
query |
boolean |
false |
Indicates whether to include detailed listing information for milestone tasks related to portfolio and asset analytics within the Nakisa Portfolio Management Suite. |
external-id-like |
query |
string |
false |
String parameter used to filter milestone tasks by an external identifier, facilitating the management and analysis of portfolio-related assets within the Nakisa Portfolio Management Suite. |
name |
query |
string |
false |
Name of the resource |
name-like |
query |
string |
false |
Filters milestone tasks based on a partial match with the specified name, facilitating targeted analytics within the Nakisa Portfolio Management Suite for portfolio and asset management. |
status-id-in |
query |
string |
false |
Specifies the unique status identifier for milestone tasks within the Nakisa Portfolio Management Suite, facilitating targeted retrieval of tasks related to portfolio, asset, and real estate property analytics. |
nrm-workorder-id |
query |
string |
false |
none |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "_embedded": {
3 "milestonetasks": [
4 {
5 "createdBy": "string",
6 "lastModifiedBy": "string",
7 "createdDate": "2019-08-24T14:15:22Z",
8 "lastModifiedDate": "2019-08-24T14:15:22Z",
9 "archived": true,
10 "externalId": "string",
11 "id": 0,
12 "name": "string",
13 "description": "string",
14 "wbs": 0,
15 "startDate": "2019-08-24",
16 "targetDate": "2019-08-24",
17 "statusId": 0,
18 "assigneeId": 0,
19 "assigneeCanModify": true,
20 "notificationTypeId": 0,
21 "triggerId": 0,
22 "statusOfTriggerId": 0,
23 "emailSendDate": "2019-08-24",
24 "lastEmailSent": "2019-08-24",
25 "isEmailAcknowledged": true,
26 "nbEmailSent": 0,
27 "milestoneTaskKeywordId": 0,
28 "milestoneTaskKeywordValue": "string",
29 "approverId": 0,
30 "approvalStatusId": 0,
31 "refernceTaskId": 0,
32 "approvalDate": "2019-08-24",
33 "nrmWorkOrderId": 0,
34 "nrmWorkOrderDisplayId": "string",
35 "milestoneId": 0,
36 "assignee": {
37 "createdBy": "string",
38 "lastModifiedBy": "string",
39 "createdDate": "2019-08-24T14:15:22Z",
40 "lastModifiedDate": "2019-08-24T14:15:22Z",
41 "archived": true,
42 "externalId": "string",
43 "id": 0,
44 "email": "string",
45 "userName": "string",
46 "firstName": "string",
47 "lastName": "string",
48 "displayName": "string",
49 "permissions": "string",
50 "internalId": "string",
51 "preferredCulture": {
52 "createdBy": "string",
53 "lastModifiedBy": "string",
54 "createdDate": "2019-08-24T14:15:22Z",
55 "lastModifiedDate": "2019-08-24T14:15:22Z",
56 "archived": true,
57 "externalId": "string",
58 "id": 0,
59 "name": "string",
60 "code": "string",
61 "defaultCulture": true,
62 "enable": true
63 },
64 "userGroups": [
65 {
66 "createdBy": "string",
67 "lastModifiedBy": "string",
68 "createdDate": "2019-08-24T14:15:22Z",
69 "lastModifiedDate": "2019-08-24T14:15:22Z",
70 "archived": true,
71 "externalId": "string",
72 "id": 0,
73 "name": "string",
74 "description": "string",
75 "internalId": "string"
76 }
77 ],
78 "partnerIds": [
79 0
80 ],
81 "partners": [
82 {
83 "id": 0,
84 "status": "CREATED",
85 "displayId": "string",
86 "erpSystemId": 0,
87 "erpSystemDisplayId": "string",
88 "name": "string",
89 "fax": "string",
90 "phone": "string",
91 "parentId": 0,
92 "parentName": "string",
93 "parentDisplayId": "string",
94 "companyId": 0,
95 "partnerRoleId": 0,
96 "partnerContactId": 0
97 }
98 ]
99 },
100 "trigger": {
101 "createdBy": "string",
102 "lastModifiedBy": "string",
103 "createdDate": "2019-08-24T14:15:22Z",
104 "lastModifiedDate": "2019-08-24T14:15:22Z",
105 "archived": true,
106 "externalId": "string",
107 "id": 0,
108 "name": "string",
109 "description": "string",
110 "wbs": 0,
111 "startDate": "2019-08-24",
112 "targetDate": "2019-08-24",
113 "statusId": 0,
114 "assigneeId": 0,
115 "assigneeCanModify": true,
116 "notificationTypeId": 0,
117 "triggerId": 0,
118 "statusOfTriggerId": 0,
119 "emailSendDate": "2019-08-24",
120 "lastEmailSent": "2019-08-24",
121 "isEmailAcknowledged": true,
122 "nbEmailSent": 0,
123 "milestoneTaskKeywordId": 0,
124 "milestoneTaskKeywordValue": "string",
125 "approverId": 0,
126 "approvalStatusId": 0,
127 "refernceTaskId": 0,
128 "approvalDate": "2019-08-24",
129 "nrmWorkOrderId": 0,
130 "nrmWorkOrderDisplayId": "string",
131 "milestoneId": 0,
132 "assignee": {
133 "createdBy": "string",
134 "lastModifiedBy": "string",
135 "createdDate": "2019-08-24T14:15:22Z",
136 "lastModifiedDate": "2019-08-24T14:15:22Z",
137 "archived": true,
138 "externalId": "string",
139 "id": 0,
140 "email": "string",
141 "userName": "string",
142 "firstName": "string",
143 "lastName": "string",
144 "displayName": "string",
145 "permissions": "string",
146 "internalId": "string",
147 "preferredCulture": {
148 "createdBy": "string",
149 "lastModifiedBy": "string",
150 "createdDate": "2019-08-24T14:15:22Z",
151 "lastModifiedDate": "2019-08-24T14:15:22Z",
152 "archived": true,
153 "externalId": "string",
154 "id": 0,
155 "name": "string",
156 "code": "string",
157 "defaultCulture": true,
158 "enable": true
159 },
160 "userGroups": [
161 {
162 "createdBy": "string",
163 "lastModifiedBy": "string",
164 "createdDate": "2019-08-24T14:15:22Z",
165 "lastModifiedDate": "2019-08-24T14:15:22Z",
166 "archived": true,
167 "externalId": "string",
168 "id": 0,
169 "name": "string",
170 "description": "string",
171 "internalId": "string"
172 }
173 ],
174 "partnerIds": [
175 0
176 ],
177 "partners": [
178 {
179 "id": 0,
180 "status": "CREATED",
181 "displayId": "string",
182 "erpSystemId": 0,
183 "erpSystemDisplayId": "string",
184 "name": "string",
185 "fax": "string",
186 "phone": "string",
187 "parentId": 0,
188 "parentName": "string",
189 "parentDisplayId": "string",
190 "companyId": 0,
191 "partnerRoleId": 0,
192 "partnerContactId": 0
193 }
194 ]
195 },
196 "trigger": {},
197 "statusOfTrigger": {
198 "createdBy": "string",
199 "lastModifiedBy": "string",
200 "createdDate": "2019-08-24T14:15:22Z",
201 "lastModifiedDate": "2019-08-24T14:15:22Z",
202 "archived": true,
203 "externalId": "string",
204 "id": 0,
205 "priority": 0,
206 "internalId": 0,
207 "pickListCode": "string",
208 "pickListLabel": "string",
209 "label": "string",
210 "cultureId": 0,
211 "labelDtos": [
212 {
213 "createdBy": "string",
214 "lastModifiedBy": "string",
215 "createdDate": "2019-08-24T14:15:22Z",
216 "lastModifiedDate": "2019-08-24T14:15:22Z",
217 "archived": true,
218 "externalId": "string",
219 "id": 0,
220 "cultureId": 0,
221 "value": "string"
222 }
223 ]
224 },
225 "milestoneTaskKeyword": {
226 "createdBy": "string",
227 "lastModifiedBy": "string",
228 "createdDate": "2019-08-24T14:15:22Z",
229 "lastModifiedDate": "2019-08-24T14:15:22Z",
230 "archived": true,
231 "externalId": "string",
232 "id": 0,
233 "priority": 0,
234 "internalId": 0,
235 "pickListCode": "string",
236 "pickListLabel": "string",
237 "label": "string",
238 "cultureId": 0,
239 "labelDtos": [
240 {
241 "createdBy": "string",
242 "lastModifiedBy": "string",
243 "createdDate": "2019-08-24T14:15:22Z",
244 "lastModifiedDate": "2019-08-24T14:15:22Z",
245 "archived": true,
246 "externalId": "string",
247 "id": 0,
248 "cultureId": 0,
249 "value": "string"
250 }
251 ]
252 },
253 "status": {
254 "createdBy": "string",
255 "lastModifiedBy": "string",
256 "createdDate": "2019-08-24T14:15:22Z",
257 "lastModifiedDate": "2019-08-24T14:15:22Z",
258 "archived": true,
259 "externalId": "string",
260 "id": 0,
261 "priority": 0,
262 "internalId": 0,
263 "pickListCode": "string",
264 "pickListLabel": "string",
265 "label": "string",
266 "cultureId": 0,
267 "labelDtos": [
268 {
269 "createdBy": "string",
270 "lastModifiedBy": "string",
271 "createdDate": "2019-08-24T14:15:22Z",
272 "lastModifiedDate": "2019-08-24T14:15:22Z",
273 "archived": true,
274 "externalId": "string",
275 "id": 0,
276 "cultureId": 0,
277 "value": "string"
278 }
279 ]
280 },
281 "approvalStatus": {
282 "createdBy": "string",
283 "lastModifiedBy": "string",
284 "createdDate": "2019-08-24T14:15:22Z",
285 "lastModifiedDate": "2019-08-24T14:15:22Z",
286 "archived": true,
287 "externalId": "string",
288 "id": 0,
289 "priority": 0,
290 "internalId": 0,
291 "pickListCode": "string",
292 "pickListLabel": "string",
293 "label": "string",
294 "cultureId": 0,
295 "labelDtos": [
296 {
297 "createdBy": "string",
298 "lastModifiedBy": "string",
299 "createdDate": "2019-08-24T14:15:22Z",
300 "lastModifiedDate": "2019-08-24T14:15:22Z",
301 "archived": true,
302 "externalId": "string",
303 "id": 0,
304 "cultureId": 0,
305 "value": "string"
306 }
307 ]
308 },
309 "notificationType": {
310 "createdBy": "string",
311 "lastModifiedBy": "string",
312 "createdDate": "2019-08-24T14:15:22Z",
313 "lastModifiedDate": "2019-08-24T14:15:22Z",
314 "archived": true,
315 "externalId": "string",
316 "id": 0,
317 "priority": 0,
318 "internalId": 0,
319 "pickListCode": "string",
320 "pickListLabel": "string",
321 "label": "string",
322 "cultureId": 0,
323 "labelDtos": [
324 {
325 "createdBy": "string",
326 "lastModifiedBy": "string",
327 "createdDate": "2019-08-24T14:15:22Z",
328 "lastModifiedDate": "2019-08-24T14:15:22Z",
329 "archived": true,
330 "externalId": "string",
331 "id": 0,
332 "cultureId": 0,
333 "value": "string"
334 }
335 ]
336 },
337 "approver": {
338 "createdBy": "string",
339 "lastModifiedBy": "string",
340 "createdDate": "2019-08-24T14:15:22Z",
341 "lastModifiedDate": "2019-08-24T14:15:22Z",
342 "archived": true,
343 "externalId": "string",
344 "id": 0,
345 "email": "string",
346 "userName": "string",
347 "firstName": "string",
348 "lastName": "string",
349 "displayName": "string",
350 "permissions": "string",
351 "internalId": "string",
352 "preferredCulture": {
353 "createdBy": "string",
354 "lastModifiedBy": "string",
355 "createdDate": "2019-08-24T14:15:22Z",
356 "lastModifiedDate": "2019-08-24T14:15:22Z",
357 "archived": true,
358 "externalId": "string",
359 "id": 0,
360 "name": "string",
361 "code": "string",
362 "defaultCulture": true,
363 "enable": true
364 },
365 "userGroups": [
366 {
367 "createdBy": "string",
368 "lastModifiedBy": "string",
369 "createdDate": "2019-08-24T14:15:22Z",
370 "lastModifiedDate": "2019-08-24T14:15:22Z",
371 "archived": true,
372 "externalId": "string",
373 "id": 0,
374 "name": "string",
375 "description": "string",
376 "internalId": "string"
377 }
378 ],
379 "partnerIds": [
380 0
381 ],
382 "partners": [
383 {
384 "id": 0,
385 "status": "CREATED",
386 "displayId": "string",
387 "erpSystemId": 0,
388 "erpSystemDisplayId": "string",
389 "name": "string",
390 "fax": "string",
391 "phone": "string",
392 "parentId": 0,
393 "parentName": "string",
394 "parentDisplayId": "string",
395 "companyId": 0,
396 "partnerRoleId": 0,
397 "partnerContactId": 0
398 }
399 ]
400 }
401 },
402 "statusOfTrigger": {
403 "createdBy": "string",
404 "lastModifiedBy": "string",
405 "createdDate": "2019-08-24T14:15:22Z",
406 "lastModifiedDate": "2019-08-24T14:15:22Z",
407 "archived": true,
408 "externalId": "string",
409 "id": 0,
410 "priority": 0,
411 "internalId": 0,
412 "pickListCode": "string",
413 "pickListLabel": "string",
414 "label": "string",
415 "cultureId": 0,
416 "labelDtos": [
417 {
418 "createdBy": "string",
419 "lastModifiedBy": "string",
420 "createdDate": "2019-08-24T14:15:22Z",
421 "lastModifiedDate": "2019-08-24T14:15:22Z",
422 "archived": true,
423 "externalId": "string",
424 "id": 0,
425 "cultureId": 0,
426 "value": "string"
427 }
428 ]
429 },
430 "milestoneTaskKeyword": {
431 "createdBy": "string",
432 "lastModifiedBy": "string",
433 "createdDate": "2019-08-24T14:15:22Z",
434 "lastModifiedDate": "2019-08-24T14:15:22Z",
435 "archived": true,
436 "externalId": "string",
437 "id": 0,
438 "priority": 0,
439 "internalId": 0,
440 "pickListCode": "string",
441 "pickListLabel": "string",
442 "label": "string",
443 "cultureId": 0,
444 "labelDtos": [
445 {
446 "createdBy": "string",
447 "lastModifiedBy": "string",
448 "createdDate": "2019-08-24T14:15:22Z",
449 "lastModifiedDate": "2019-08-24T14:15:22Z",
450 "archived": true,
451 "externalId": "string",
452 "id": 0,
453 "cultureId": 0,
454 "value": "string"
455 }
456 ]
457 },
458 "status": {
459 "createdBy": "string",
460 "lastModifiedBy": "string",
461 "createdDate": "2019-08-24T14:15:22Z",
462 "lastModifiedDate": "2019-08-24T14:15:22Z",
463 "archived": true,
464 "externalId": "string",
465 "id": 0,
466 "priority": 0,
467 "internalId": 0,
468 "pickListCode": "string",
469 "pickListLabel": "string",
470 "label": "string",
471 "cultureId": 0,
472 "labelDtos": [
473 {
474 "createdBy": "string",
475 "lastModifiedBy": "string",
476 "createdDate": "2019-08-24T14:15:22Z",
477 "lastModifiedDate": "2019-08-24T14:15:22Z",
478 "archived": true,
479 "externalId": "string",
480 "id": 0,
481 "cultureId": 0,
482 "value": "string"
483 }
484 ]
485 },
486 "approvalStatus": {
487 "createdBy": "string",
488 "lastModifiedBy": "string",
489 "createdDate": "2019-08-24T14:15:22Z",
490 "lastModifiedDate": "2019-08-24T14:15:22Z",
491 "archived": true,
492 "externalId": "string",
493 "id": 0,
494 "priority": 0,
495 "internalId": 0,
496 "pickListCode": "string",
497 "pickListLabel": "string",
498 "label": "string",
499 "cultureId": 0,
500 "labelDtos": [
501 {
502 "createdBy": "string",
503 "lastModifiedBy": "string",
504 "createdDate": "2019-08-24T14:15:22Z",
505 "lastModifiedDate": "2019-08-24T14:15:22Z",
506 "archived": true,
507 "externalId": "string",
508 "id": 0,
509 "cultureId": 0,
510 "value": "string"
511 }
512 ]
513 },
514 "notificationType": {
515 "createdBy": "string",
516 "lastModifiedBy": "string",
517 "createdDate": "2019-08-24T14:15:22Z",
518 "lastModifiedDate": "2019-08-24T14:15:22Z",
519 "archived": true,
520 "externalId": "string",
521 "id": 0,
522 "priority": 0,
523 "internalId": 0,
524 "pickListCode": "string",
525 "pickListLabel": "string",
526 "label": "string",
527 "cultureId": 0,
528 "labelDtos": [
529 {
530 "createdBy": "string",
531 "lastModifiedBy": "string",
532 "createdDate": "2019-08-24T14:15:22Z",
533 "lastModifiedDate": "2019-08-24T14:15:22Z",
534 "archived": true,
535 "externalId": "string",
536 "id": 0,
537 "cultureId": 0,
538 "value": "string"
539 }
540 ]
541 },
542 "approver": {
543 "createdBy": "string",
544 "lastModifiedBy": "string",
545 "createdDate": "2019-08-24T14:15:22Z",
546 "lastModifiedDate": "2019-08-24T14:15:22Z",
547 "archived": true,
548 "externalId": "string",
549 "id": 0,
550 "email": "string",
551 "userName": "string",
552 "firstName": "string",
553 "lastName": "string",
554 "displayName": "string",
555 "permissions": "string",
556 "internalId": "string",
557 "preferredCulture": {
558 "createdBy": "string",
559 "lastModifiedBy": "string",
560 "createdDate": "2019-08-24T14:15:22Z",
561 "lastModifiedDate": "2019-08-24T14:15:22Z",
562 "archived": true,
563 "externalId": "string",
564 "id": 0,
565 "name": "string",
566 "code": "string",
567 "defaultCulture": true,
568 "enable": true
569 },
570 "userGroups": [
571 {
572 "createdBy": "string",
573 "lastModifiedBy": "string",
574 "createdDate": "2019-08-24T14:15:22Z",
575 "lastModifiedDate": "2019-08-24T14:15:22Z",
576 "archived": true,
577 "externalId": "string",
578 "id": 0,
579 "name": "string",
580 "description": "string",
581 "internalId": "string"
582 }
583 ],
584 "partnerIds": [
585 0
586 ],
587 "partners": [
588 {
589 "id": 0,
590 "status": "CREATED",
591 "displayId": "string",
592 "erpSystemId": 0,
593 "erpSystemDisplayId": "string",
594 "name": "string",
595 "fax": "string",
596 "phone": "string",
597 "parentId": 0,
598 "parentName": "string",
599 "parentDisplayId": "string",
600 "companyId": 0,
601 "partnerRoleId": 0,
602 "partnerContactId": 0
603 }
604 ]
605 }
606 }
607 ]
608 },
609 "page": {
610 "size": 0,
611 "totalElements": 0,
612 "totalPages": 0,
613 "number": 0
614 }
615}
Milestone Task - Create Milestone Task¶
HTTP Request
POST /api/milestone-tasks
📋 Description: Creates a new milestone task within the Nakisa Portfolio Management Suite, enabling users to effectively manage and track key activities related to portfolio and asset analytics in real estate properties.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
true |
Request body containing milestone task details, including task description, associated portfolio or asset identifiers, and relevant analytics metrics for effective real estate property management. |
Body Parameters
1{
2 "createdBy": "string",
3 "lastModifiedBy": "string",
4 "createdDate": "2019-08-24T14:15:22Z",
5 "lastModifiedDate": "2019-08-24T14:15:22Z",
6 "archived": true,
7 "externalId": "string",
8 "id": 0,
9 "name": "string",
10 "description": "string",
11 "wbs": 0,
12 "startDate": "2019-08-24",
13 "targetDate": "2019-08-24",
14 "statusId": 0,
15 "assigneeId": 0,
16 "assigneeCanModify": true,
17 "notificationTypeId": 0,
18 "triggerId": 0,
19 "statusOfTriggerId": 0,
20 "emailSendDate": "2019-08-24",
21 "lastEmailSent": "2019-08-24",
22 "isEmailAcknowledged": true,
23 "nbEmailSent": 0,
24 "milestoneTaskKeywordId": 0,
25 "milestoneTaskKeywordValue": "string",
26 "approverId": 0,
27 "approvalStatusId": 0,
28 "refernceTaskId": 0,
29 "approvalDate": "2019-08-24",
30 "nrmWorkOrderId": 0,
31 "nrmWorkOrderDisplayId": "string",
32 "milestoneId": 0,
33 "assignee": {
34 "createdBy": "string",
35 "lastModifiedBy": "string",
36 "createdDate": "2019-08-24T14:15:22Z",
37 "lastModifiedDate": "2019-08-24T14:15:22Z",
38 "archived": true,
39 "externalId": "string",
40 "id": 0,
41 "email": "string",
42 "userName": "string",
43 "firstName": "string",
44 "lastName": "string",
45 "displayName": "string",
46 "permissions": "string",
47 "internalId": "string",
48 "preferredCulture": {
49 "createdBy": "string",
50 "lastModifiedBy": "string",
51 "createdDate": "2019-08-24T14:15:22Z",
52 "lastModifiedDate": "2019-08-24T14:15:22Z",
53 "archived": true,
54 "externalId": "string",
55 "id": 0,
56 "name": "string",
57 "code": "string",
58 "defaultCulture": true,
59 "enable": true
60 },
61 "userGroups": [
62 {
63 "createdBy": "string",
64 "lastModifiedBy": "string",
65 "createdDate": "2019-08-24T14:15:22Z",
66 "lastModifiedDate": "2019-08-24T14:15:22Z",
67 "archived": true,
68 "externalId": "string",
69 "id": 0,
70 "name": "string",
71 "description": "string",
72 "internalId": "string"
73 }
74 ],
75 "partnerIds": [
76 0
77 ],
78 "partners": [
79 {
80 "id": 0,
81 "status": "CREATED",
82 "displayId": "string",
83 "erpSystemId": 0,
84 "erpSystemDisplayId": "string",
85 "name": "string",
86 "fax": "string",
87 "phone": "string",
88 "parentId": 0,
89 "parentName": "string",
90 "parentDisplayId": "string",
91 "companyId": 0,
92 "partnerRoleId": 0,
93 "partnerContactId": 0
94 }
95 ]
96 },
97 "trigger": {
98 "createdBy": "string",
99 "lastModifiedBy": "string",
100 "createdDate": "2019-08-24T14:15:22Z",
101 "lastModifiedDate": "2019-08-24T14:15:22Z",
102 "archived": true,
103 "externalId": "string",
104 "id": 0,
105 "name": "string",
106 "description": "string",
107 "wbs": 0,
108 "startDate": "2019-08-24",
109 "targetDate": "2019-08-24",
110 "statusId": 0,
111 "assigneeId": 0,
112 "assigneeCanModify": true,
113 "notificationTypeId": 0,
114 "triggerId": 0,
115 "statusOfTriggerId": 0,
116 "emailSendDate": "2019-08-24",
117 "lastEmailSent": "2019-08-24",
118 "isEmailAcknowledged": true,
119 "nbEmailSent": 0,
120 "milestoneTaskKeywordId": 0,
121 "milestoneTaskKeywordValue": "string",
122 "approverId": 0,
123 "approvalStatusId": 0,
124 "refernceTaskId": 0,
125 "approvalDate": "2019-08-24",
126 "nrmWorkOrderId": 0,
127 "nrmWorkOrderDisplayId": "string",
128 "milestoneId": 0,
129 "assignee": {
130 "createdBy": "string",
131 "lastModifiedBy": "string",
132 "createdDate": "2019-08-24T14:15:22Z",
133 "lastModifiedDate": "2019-08-24T14:15:22Z",
134 "archived": true,
135 "externalId": "string",
136 "id": 0,
137 "email": "string",
138 "userName": "string",
139 "firstName": "string",
140 "lastName": "string",
141 "displayName": "string",
142 "permissions": "string",
143 "internalId": "string",
144 "preferredCulture": {
145 "createdBy": "string",
146 "lastModifiedBy": "string",
147 "createdDate": "2019-08-24T14:15:22Z",
148 "lastModifiedDate": "2019-08-24T14:15:22Z",
149 "archived": true,
150 "externalId": "string",
151 "id": 0,
152 "name": "string",
153 "code": "string",
154 "defaultCulture": true,
155 "enable": true
156 },
157 "userGroups": [
158 {
159 "createdBy": "string",
160 "lastModifiedBy": "string",
161 "createdDate": "2019-08-24T14:15:22Z",
162 "lastModifiedDate": "2019-08-24T14:15:22Z",
163 "archived": true,
164 "externalId": "string",
165 "id": 0,
166 "name": "string",
167 "description": "string",
168 "internalId": "string"
169 }
170 ],
171 "partnerIds": [
172 0
173 ],
174 "partners": [
175 {
176 "id": 0,
177 "status": "CREATED",
178 "displayId": "string",
179 "erpSystemId": 0,
180 "erpSystemDisplayId": "string",
181 "name": "string",
182 "fax": "string",
183 "phone": "string",
184 "parentId": 0,
185 "parentName": "string",
186 "parentDisplayId": "string",
187 "companyId": 0,
188 "partnerRoleId": 0,
189 "partnerContactId": 0
190 }
191 ]
192 },
193 "trigger": {},
194 "statusOfTrigger": {
195 "createdBy": "string",
196 "lastModifiedBy": "string",
197 "createdDate": "2019-08-24T14:15:22Z",
198 "lastModifiedDate": "2019-08-24T14:15:22Z",
199 "archived": true,
200 "externalId": "string",
201 "id": 0,
202 "priority": 0,
203 "internalId": 0,
204 "pickListCode": "string",
205 "pickListLabel": "string",
206 "label": "string",
207 "cultureId": 0,
208 "labelDtos": [
209 {
210 "createdBy": "string",
211 "lastModifiedBy": "string",
212 "createdDate": "2019-08-24T14:15:22Z",
213 "lastModifiedDate": "2019-08-24T14:15:22Z",
214 "archived": true,
215 "externalId": "string",
216 "id": 0,
217 "cultureId": 0,
218 "value": "string"
219 }
220 ]
221 },
222 "milestoneTaskKeyword": {
223 "createdBy": "string",
224 "lastModifiedBy": "string",
225 "createdDate": "2019-08-24T14:15:22Z",
226 "lastModifiedDate": "2019-08-24T14:15:22Z",
227 "archived": true,
228 "externalId": "string",
229 "id": 0,
230 "priority": 0,
231 "internalId": 0,
232 "pickListCode": "string",
233 "pickListLabel": "string",
234 "label": "string",
235 "cultureId": 0,
236 "labelDtos": [
237 {
238 "createdBy": "string",
239 "lastModifiedBy": "string",
240 "createdDate": "2019-08-24T14:15:22Z",
241 "lastModifiedDate": "2019-08-24T14:15:22Z",
242 "archived": true,
243 "externalId": "string",
244 "id": 0,
245 "cultureId": 0,
246 "value": "string"
247 }
248 ]
249 },
250 "status": {
251 "createdBy": "string",
252 "lastModifiedBy": "string",
253 "createdDate": "2019-08-24T14:15:22Z",
254 "lastModifiedDate": "2019-08-24T14:15:22Z",
255 "archived": true,
256 "externalId": "string",
257 "id": 0,
258 "priority": 0,
259 "internalId": 0,
260 "pickListCode": "string",
261 "pickListLabel": "string",
262 "label": "string",
263 "cultureId": 0,
264 "labelDtos": [
265 {
266 "createdBy": "string",
267 "lastModifiedBy": "string",
268 "createdDate": "2019-08-24T14:15:22Z",
269 "lastModifiedDate": "2019-08-24T14:15:22Z",
270 "archived": true,
271 "externalId": "string",
272 "id": 0,
273 "cultureId": 0,
274 "value": "string"
275 }
276 ]
277 },
278 "approvalStatus": {
279 "createdBy": "string",
280 "lastModifiedBy": "string",
281 "createdDate": "2019-08-24T14:15:22Z",
282 "lastModifiedDate": "2019-08-24T14:15:22Z",
283 "archived": true,
284 "externalId": "string",
285 "id": 0,
286 "priority": 0,
287 "internalId": 0,
288 "pickListCode": "string",
289 "pickListLabel": "string",
290 "label": "string",
291 "cultureId": 0,
292 "labelDtos": [
293 {
294 "createdBy": "string",
295 "lastModifiedBy": "string",
296 "createdDate": "2019-08-24T14:15:22Z",
297 "lastModifiedDate": "2019-08-24T14:15:22Z",
298 "archived": true,
299 "externalId": "string",
300 "id": 0,
301 "cultureId": 0,
302 "value": "string"
303 }
304 ]
305 },
306 "notificationType": {
307 "createdBy": "string",
308 "lastModifiedBy": "string",
309 "createdDate": "2019-08-24T14:15:22Z",
310 "lastModifiedDate": "2019-08-24T14:15:22Z",
311 "archived": true,
312 "externalId": "string",
313 "id": 0,
314 "priority": 0,
315 "internalId": 0,
316 "pickListCode": "string",
317 "pickListLabel": "string",
318 "label": "string",
319 "cultureId": 0,
320 "labelDtos": [
321 {
322 "createdBy": "string",
323 "lastModifiedBy": "string",
324 "createdDate": "2019-08-24T14:15:22Z",
325 "lastModifiedDate": "2019-08-24T14:15:22Z",
326 "archived": true,
327 "externalId": "string",
328 "id": 0,
329 "cultureId": 0,
330 "value": "string"
331 }
332 ]
333 },
334 "approver": {
335 "createdBy": "string",
336 "lastModifiedBy": "string",
337 "createdDate": "2019-08-24T14:15:22Z",
338 "lastModifiedDate": "2019-08-24T14:15:22Z",
339 "archived": true,
340 "externalId": "string",
341 "id": 0,
342 "email": "string",
343 "userName": "string",
344 "firstName": "string",
345 "lastName": "string",
346 "displayName": "string",
347 "permissions": "string",
348 "internalId": "string",
349 "preferredCulture": {
350 "createdBy": "string",
351 "lastModifiedBy": "string",
352 "createdDate": "2019-08-24T14:15:22Z",
353 "lastModifiedDate": "2019-08-24T14:15:22Z",
354 "archived": true,
355 "externalId": "string",
356 "id": 0,
357 "name": "string",
358 "code": "string",
359 "defaultCulture": true,
360 "enable": true
361 },
362 "userGroups": [
363 {
364 "createdBy": "string",
365 "lastModifiedBy": "string",
366 "createdDate": "2019-08-24T14:15:22Z",
367 "lastModifiedDate": "2019-08-24T14:15:22Z",
368 "archived": true,
369 "externalId": "string",
370 "id": 0,
371 "name": "string",
372 "description": "string",
373 "internalId": "string"
374 }
375 ],
376 "partnerIds": [
377 0
378 ],
379 "partners": [
380 {
381 "id": 0,
382 "status": "CREATED",
383 "displayId": "string",
384 "erpSystemId": 0,
385 "erpSystemDisplayId": "string",
386 "name": "string",
387 "fax": "string",
388 "phone": "string",
389 "parentId": 0,
390 "parentName": "string",
391 "parentDisplayId": "string",
392 "companyId": 0,
393 "partnerRoleId": 0,
394 "partnerContactId": 0
395 }
396 ]
397 }
398 },
399 "statusOfTrigger": {
400 "createdBy": "string",
401 "lastModifiedBy": "string",
402 "createdDate": "2019-08-24T14:15:22Z",
403 "lastModifiedDate": "2019-08-24T14:15:22Z",
404 "archived": true,
405 "externalId": "string",
406 "id": 0,
407 "priority": 0,
408 "internalId": 0,
409 "pickListCode": "string",
410 "pickListLabel": "string",
411 "label": "string",
412 "cultureId": 0,
413 "labelDtos": [
414 {
415 "createdBy": "string",
416 "lastModifiedBy": "string",
417 "createdDate": "2019-08-24T14:15:22Z",
418 "lastModifiedDate": "2019-08-24T14:15:22Z",
419 "archived": true,
420 "externalId": "string",
421 "id": 0,
422 "cultureId": 0,
423 "value": "string"
424 }
425 ]
426 },
427 "milestoneTaskKeyword": {
428 "createdBy": "string",
429 "lastModifiedBy": "string",
430 "createdDate": "2019-08-24T14:15:22Z",
431 "lastModifiedDate": "2019-08-24T14:15:22Z",
432 "archived": true,
433 "externalId": "string",
434 "id": 0,
435 "priority": 0,
436 "internalId": 0,
437 "pickListCode": "string",
438 "pickListLabel": "string",
439 "label": "string",
440 "cultureId": 0,
441 "labelDtos": [
442 {
443 "createdBy": "string",
444 "lastModifiedBy": "string",
445 "createdDate": "2019-08-24T14:15:22Z",
446 "lastModifiedDate": "2019-08-24T14:15:22Z",
447 "archived": true,
448 "externalId": "string",
449 "id": 0,
450 "cultureId": 0,
451 "value": "string"
452 }
453 ]
454 },
455 "status": {
456 "createdBy": "string",
457 "lastModifiedBy": "string",
458 "createdDate": "2019-08-24T14:15:22Z",
459 "lastModifiedDate": "2019-08-24T14:15:22Z",
460 "archived": true,
461 "externalId": "string",
462 "id": 0,
463 "priority": 0,
464 "internalId": 0,
465 "pickListCode": "string",
466 "pickListLabel": "string",
467 "label": "string",
468 "cultureId": 0,
469 "labelDtos": [
470 {
471 "createdBy": "string",
472 "lastModifiedBy": "string",
473 "createdDate": "2019-08-24T14:15:22Z",
474 "lastModifiedDate": "2019-08-24T14:15:22Z",
475 "archived": true,
476 "externalId": "string",
477 "id": 0,
478 "cultureId": 0,
479 "value": "string"
480 }
481 ]
482 },
483 "approvalStatus": {
484 "createdBy": "string",
485 "lastModifiedBy": "string",
486 "createdDate": "2019-08-24T14:15:22Z",
487 "lastModifiedDate": "2019-08-24T14:15:22Z",
488 "archived": true,
489 "externalId": "string",
490 "id": 0,
491 "priority": 0,
492 "internalId": 0,
493 "pickListCode": "string",
494 "pickListLabel": "string",
495 "label": "string",
496 "cultureId": 0,
497 "labelDtos": [
498 {
499 "createdBy": "string",
500 "lastModifiedBy": "string",
501 "createdDate": "2019-08-24T14:15:22Z",
502 "lastModifiedDate": "2019-08-24T14:15:22Z",
503 "archived": true,
504 "externalId": "string",
505 "id": 0,
506 "cultureId": 0,
507 "value": "string"
508 }
509 ]
510 },
511 "notificationType": {
512 "createdBy": "string",
513 "lastModifiedBy": "string",
514 "createdDate": "2019-08-24T14:15:22Z",
515 "lastModifiedDate": "2019-08-24T14:15:22Z",
516 "archived": true,
517 "externalId": "string",
518 "id": 0,
519 "priority": 0,
520 "internalId": 0,
521 "pickListCode": "string",
522 "pickListLabel": "string",
523 "label": "string",
524 "cultureId": 0,
525 "labelDtos": [
526 {
527 "createdBy": "string",
528 "lastModifiedBy": "string",
529 "createdDate": "2019-08-24T14:15:22Z",
530 "lastModifiedDate": "2019-08-24T14:15:22Z",
531 "archived": true,
532 "externalId": "string",
533 "id": 0,
534 "cultureId": 0,
535 "value": "string"
536 }
537 ]
538 },
539 "approver": {
540 "createdBy": "string",
541 "lastModifiedBy": "string",
542 "createdDate": "2019-08-24T14:15:22Z",
543 "lastModifiedDate": "2019-08-24T14:15:22Z",
544 "archived": true,
545 "externalId": "string",
546 "id": 0,
547 "email": "string",
548 "userName": "string",
549 "firstName": "string",
550 "lastName": "string",
551 "displayName": "string",
552 "permissions": "string",
553 "internalId": "string",
554 "preferredCulture": {
555 "createdBy": "string",
556 "lastModifiedBy": "string",
557 "createdDate": "2019-08-24T14:15:22Z",
558 "lastModifiedDate": "2019-08-24T14:15:22Z",
559 "archived": true,
560 "externalId": "string",
561 "id": 0,
562 "name": "string",
563 "code": "string",
564 "defaultCulture": true,
565 "enable": true
566 },
567 "userGroups": [
568 {
569 "createdBy": "string",
570 "lastModifiedBy": "string",
571 "createdDate": "2019-08-24T14:15:22Z",
572 "lastModifiedDate": "2019-08-24T14:15:22Z",
573 "archived": true,
574 "externalId": "string",
575 "id": 0,
576 "name": "string",
577 "description": "string",
578 "internalId": "string"
579 }
580 ],
581 "partnerIds": [
582 0
583 ],
584 "partners": [
585 {
586 "id": 0,
587 "status": "CREATED",
588 "displayId": "string",
589 "erpSystemId": 0,
590 "erpSystemDisplayId": "string",
591 "name": "string",
592 "fax": "string",
593 "phone": "string",
594 "parentId": 0,
595 "parentName": "string",
596 "parentDisplayId": "string",
597 "companyId": 0,
598 "partnerRoleId": 0,
599 "partnerContactId": 0
600 }
601 ]
602 }
603}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
201 |
Created |
integer |
Example Responses
10
Milestone Task - Get Documents For Milestone Task¶
HTTP Request
GET /api/milestone-tasks/{milestoneTaskId}/documents
📋 Description: Retrieves documents associated with a specific milestone task identified by the milestoneTaskId, facilitating enhanced visibility and management of portfolio-related assets within the Nakisa Portfolio Management Suite.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
milestoneTaskId |
path |
integer(int64) |
true |
Unique identifier for the milestone task |
pageable |
query |
true |
Indicates whether the results of the document retrieval for a specific milestone task should be returned in a paginated format, facilitating efficient data management within the Nakisa Portfolio Management Suite. |
|
search |
query |
string |
false |
Search term used to filter documents related to a specific milestone task within the Nakisa Portfolio Management Suite, enhancing asset and portfolio analytics for real estate properties. |
id |
query |
string |
false |
Unique identifier for the resource |
status-id |
query |
string |
false |
Unique identifier for the status of the milestone task, used to filter and retrieve associated documents within the Nakisa Portfolio Management Suite. |
signed-date |
query |
string |
false |
Specifies the date on which the document was signed, providing essential context for portfolio and asset management within the Nakisa Portfolio Management Suite. |
name |
query |
string |
false |
Name of the resource |
title |
query |
string |
false |
Title of the resource |
type |
query |
string |
false |
Type of the resource |
shareable |
query |
string |
false |
Indicates whether the documents associated with the specified milestone task are shareable, facilitating collaboration and transparency in portfolio and asset management within the Nakisa Portfolio Management Suite. |
document-type-id |
query |
string |
false |
Unique identifier for the type of document associated with a specific milestone task within the Nakisa Portfolio Management Suite, facilitating efficient document retrieval for portfolio, asset, and real estate property analytics. |
document-type-id-in |
query |
string |
false |
Unique identifier for the type of document associated with the specified milestone task, facilitating efficient document retrieval within the Nakisa Portfolio Management Suite. |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "_embedded": {
3 "documents": [
4 {
5 "createdBy": "string",
6 "lastModifiedBy": "string",
7 "createdDate": "2019-08-24T14:15:22Z",
8 "lastModifiedDate": "2019-08-24T14:15:22Z",
9 "archived": true,
10 "externalId": "string",
11 "id": 0,
12 "name": "string",
13 "title": "string",
14 "type": "string",
15 "description": "string",
16 "link": "string",
17 "signedDate": "2019-08-24",
18 "documentTypeId": 0,
19 "statusId": 0,
20 "shareable": true,
21 "size": 0,
22 "documentType": {
23 "createdBy": "string",
24 "lastModifiedBy": "string",
25 "createdDate": "2019-08-24T14:15:22Z",
26 "lastModifiedDate": "2019-08-24T14:15:22Z",
27 "archived": true,
28 "externalId": "string",
29 "id": 0,
30 "priority": 0,
31 "internalId": 0,
32 "pickListCode": "string",
33 "pickListLabel": "string",
34 "label": "string",
35 "cultureId": 0,
36 "labelDtos": [
37 {
38 "createdBy": "string",
39 "lastModifiedBy": "string",
40 "createdDate": "2019-08-24T14:15:22Z",
41 "lastModifiedDate": "2019-08-24T14:15:22Z",
42 "archived": true,
43 "externalId": "string",
44 "id": 0,
45 "cultureId": 0,
46 "value": "string"
47 }
48 ]
49 },
50 "status": {
51 "createdBy": "string",
52 "lastModifiedBy": "string",
53 "createdDate": "2019-08-24T14:15:22Z",
54 "lastModifiedDate": "2019-08-24T14:15:22Z",
55 "archived": true,
56 "externalId": "string",
57 "id": 0,
58 "priority": 0,
59 "internalId": 0,
60 "pickListCode": "string",
61 "pickListLabel": "string",
62 "label": "string",
63 "cultureId": 0,
64 "labelDtos": [
65 {
66 "createdBy": "string",
67 "lastModifiedBy": "string",
68 "createdDate": "2019-08-24T14:15:22Z",
69 "lastModifiedDate": "2019-08-24T14:15:22Z",
70 "archived": true,
71 "externalId": "string",
72 "id": 0,
73 "cultureId": 0,
74 "value": "string"
75 }
76 ]
77 }
78 }
79 ]
80 },
81 "page": {
82 "size": 0,
83 "totalElements": 0,
84 "totalPages": 0,
85 "number": 0
86 }
87}
Milestone Task - Upload Milestone Task Document¶
HTTP Request
POST /api/milestone-tasks/{milestoneTaskId}/documents
📋 Description: Uploads documents associated with a specific milestone task within the Nakisa Portfolio Management Suite, enhancing portfolio and asset management through improved documentation and analytics for real estate properties.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
milestoneTaskId |
path |
integer(int64) |
true |
Unique identifier for the milestone task |
body |
body |
object |
false |
Request body containing the document details, including metadata and associated attributes, for the specified milestone task within the Nakisa Portfolio Management Suite. |
» file |
body |
string(binary) |
false |
none |
» document |
body |
true |
Data transfer object representing a document within the Nakisa Portfolio Management Suite, encapsulating essential information related to portfolio assets, analytics, and real estate properties. |
|
»» createdBy |
body |
string |
false |
Username of who created this resource |
»» lastModifiedBy |
body |
string |
false |
Username of who last modified this resource |
»» createdDate |
body |
string(date-time) |
false |
Date of the created |
»» lastModifiedDate |
body |
string(date-time) |
false |
Date of the last modified |
»» archived |
body |
boolean |
false |
Boolean flag indicating archived status |
»» externalId |
body |
string |
false |
Unique identifier for the external |
»» id |
body |
integer(int64) |
false |
Unique identifier for the resource |
»» name |
body |
string |
false |
Name of the resource |
»» title |
body |
string |
false |
Title of the resource |
»» type |
body |
string |
false |
Type of the resource |
»» description |
body |
string |
false |
Description of the resource |
»» link |
body |
string |
false |
URL link to access detailed information or resources related to the portfolio, asset, or real estate property within the Nakisa Portfolio Management Suite. |
»» signedDate |
body |
string(date) |
false |
Date of the signed |
»» documentTypeId |
body |
integer(int64) |
false |
Unique identifier for the document type |
»» statusId |
body |
integer(int64) |
false |
Unique identifier for the status |
»» shareable |
body |
boolean |
false |
Boolean flag indicating shareable status |
»» size |
body |
integer(int64) |
false |
Number of items per page |
»» documentType |
body |
false |
Data transfer object representing an option within a pick list, utilized for categorizing and managing portfolio assets and analytics in the Nakisa Portfolio Management Suite, particularly in the context of real estate property management. |
|
»»» createdBy |
body |
string |
false |
Username of who created this resource |
»»» lastModifiedBy |
body |
string |
false |
Username of who last modified this resource |
»»» createdDate |
body |
string(date-time) |
false |
Date of the created |
»»» lastModifiedDate |
body |
string(date-time) |
false |
Date of the last modified |
»»» archived |
body |
boolean |
false |
Boolean flag indicating archived status |
»»» externalId |
body |
string |
false |
Unique identifier for the external |
»»» id |
body |
integer(int64) |
false |
Unique identifier for the resource |
»»» priority |
body |
integer(int64) |
false |
Priority of the resource |
»»» internalId |
body |
integer(int64) |
false |
Unique identifier for the internal |
»»» pickListCode |
body |
string |
false |
Code for the pick list |
»»» pickListLabel |
body |
string |
false |
Label for the pick list |
»»» label |
body |
string |
false |
Label for the resource |
»»» cultureId |
body |
integer(int64) |
false |
Unique identifier for the culture |
»»» labelDtos |
body |
false |
List of labelDtos items |
|
»»»» createdBy |
body |
string |
false |
Username of who created this resource |
»»»» lastModifiedBy |
body |
string |
false |
Username of who last modified this resource |
»»»» createdDate |
body |
string(date-time) |
false |
Date of the created |
»»»» lastModifiedDate |
body |
string(date-time) |
false |
Date of the last modified |
»»»» archived |
body |
boolean |
false |
Boolean flag indicating archived status |
»»»» externalId |
body |
string |
false |
Unique identifier for the external |
»»»» id |
body |
integer(int64) |
false |
Unique identifier for the resource |
»»»» cultureId |
body |
integer(int64) |
false |
Unique identifier for the culture |
»»»» value |
body |
string |
true |
Represents the descriptive value associated with a portfolio asset, facilitating analytics and insights within the Nakisa Portfolio Management Suite. |
»» status |
body |
false |
Data transfer object representing an option within a pick list, utilized for categorizing and managing portfolio assets and analytics in the Nakisa Portfolio Management Suite, particularly in the context of real estate property management. |
Body Parameters
1{
2 "document": {
3 "archived": true,
4 "createdBy": "string",
5 "createdDate": "2019-08-24 14:15:22+00:00",
6 "description": "string",
7 "documentType": {
8 "archived": true,
9 "createdBy": "string",
10 "createdDate": "2019-08-24 14:15:22+00:00",
11 "cultureId": 0,
12 "externalId": "string",
13 "id": 0,
14 "internalId": 0,
15 "label": "string",
16 "labelDtos": [
17 {
18 "archived": true,
19 "createdBy": "string",
20 "createdDate": "2019-08-24 14:15:22+00:00",
21 "cultureId": 0,
22 "externalId": "string",
23 "id": 0,
24 "lastModifiedBy": "string",
25 "lastModifiedDate": "2019-08-24 14:15:22+00:00",
26 "value": "string"
27 }
28 ],
29 "lastModifiedBy": "string",
30 "lastModifiedDate": "2019-08-24 14:15:22+00:00",
31 "pickListCode": "string",
32 "pickListLabel": "string",
33 "priority": 0
34 },
35 "documentTypeId": 0,
36 "externalId": "string",
37 "id": 0,
38 "lastModifiedBy": "string",
39 "lastModifiedDate": "2019-08-24 14:15:22+00:00",
40 "link": "string",
41 "name": "string",
42 "shareable": true,
43 "signedDate": "2019-08-24",
44 "size": 0,
45 "status": {
46 "archived": true,
47 "createdBy": "string",
48 "createdDate": "2019-08-24 14:15:22+00:00",
49 "cultureId": 0,
50 "externalId": "string",
51 "id": 0,
52 "internalId": 0,
53 "label": "string",
54 "labelDtos": [
55 {
56 "archived": true,
57 "createdBy": "string",
58 "createdDate": "2019-08-24 14:15:22+00:00",
59 "cultureId": 0,
60 "externalId": "string",
61 "id": 0,
62 "lastModifiedBy": "string",
63 "lastModifiedDate": "2019-08-24 14:15:22+00:00",
64 "value": "string"
65 }
66 ],
67 "lastModifiedBy": "string",
68 "lastModifiedDate": "2019-08-24 14:15:22+00:00",
69 "pickListCode": "string",
70 "pickListLabel": "string",
71 "priority": 0
72 },
73 "statusId": 0,
74 "title": "string",
75 "type": "string"
76 },
77 "file": "string"
78}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
201 |
Created |
Example Responses
1{
2 "createdBy": "string",
3 "lastModifiedBy": "string",
4 "createdDate": "2019-08-24T14:15:22Z",
5 "lastModifiedDate": "2019-08-24T14:15:22Z",
6 "archived": true,
7 "externalId": "string",
8 "id": 0,
9 "name": "string",
10 "title": "string",
11 "type": "string",
12 "description": "string",
13 "link": "string",
14 "signedDate": "2019-08-24",
15 "documentTypeId": 0,
16 "statusId": 0,
17 "shareable": true,
18 "size": 0,
19 "documentType": {
20 "createdBy": "string",
21 "lastModifiedBy": "string",
22 "createdDate": "2019-08-24T14:15:22Z",
23 "lastModifiedDate": "2019-08-24T14:15:22Z",
24 "archived": true,
25 "externalId": "string",
26 "id": 0,
27 "priority": 0,
28 "internalId": 0,
29 "pickListCode": "string",
30 "pickListLabel": "string",
31 "label": "string",
32 "cultureId": 0,
33 "labelDtos": [
34 {
35 "createdBy": "string",
36 "lastModifiedBy": "string",
37 "createdDate": "2019-08-24T14:15:22Z",
38 "lastModifiedDate": "2019-08-24T14:15:22Z",
39 "archived": true,
40 "externalId": "string",
41 "id": 0,
42 "cultureId": 0,
43 "value": "string"
44 }
45 ]
46 },
47 "status": {
48 "createdBy": "string",
49 "lastModifiedBy": "string",
50 "createdDate": "2019-08-24T14:15:22Z",
51 "lastModifiedDate": "2019-08-24T14:15:22Z",
52 "archived": true,
53 "externalId": "string",
54 "id": 0,
55 "priority": 0,
56 "internalId": 0,
57 "pickListCode": "string",
58 "pickListLabel": "string",
59 "label": "string",
60 "cultureId": 0,
61 "labelDtos": [
62 {
63 "createdBy": "string",
64 "lastModifiedBy": "string",
65 "createdDate": "2019-08-24T14:15:22Z",
66 "lastModifiedDate": "2019-08-24T14:15:22Z",
67 "archived": true,
68 "externalId": "string",
69 "id": 0,
70 "cultureId": 0,
71 "value": "string"
72 }
73 ]
74 }
75}
Milestone Task - Create Notification For Work Order¶
HTTP Request
POST /api/milestone-tasks/nrm/work-orders/{workOrderId}
📋 Description: Creates a new milestone task associated with a specific work order in the Nakisa Portfolio Management Suite, facilitating effective management and tracking of portfolio and asset-related activities within real estate properties.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
workOrderId |
path |
integer(int64) |
true |
Unique identifier for the work order |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
None |
Milestone Task - Detach Nrm Work Order From Task¶
HTTP Request
POST /api/milestone-tasks/nrm/task-detach/{milestoneTaskId}
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
milestoneTaskId |
path |
integer(int64) |
true |
none |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
None |
Milestone Task - Attach Nrm Work Order To Task¶
HTTP Request
POST /api/milestone-tasks/nrm/task-attach
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
true |
none |
Body Parameters
1{
2 "id": 0,
3 "createdBy": "string",
4 "createdAt": "2019-08-24T14:15:22Z",
5 "displayId": "string",
6 "name": "string",
7 "imageId": 0,
8 "description": "string",
9 "vendorRating": 0,
10 "premiseId": 0,
11 "premiseDto": {
12 "id": 0,
13 "createdBy": "string",
14 "createdAt": "2019-08-24T14:15:22Z",
15 "displayId": "string",
16 "premiseName": "string",
17 "description": "string",
18 "address": "string",
19 "internalTeamNames": [
20 "string"
21 ],
22 "internalTeamIds": [
23 0
24 ],
25 "premiseAvailable": true,
26 "premiseFromNrm": true,
27 "nlmId": 0,
28 "nlmDisplayId": "string",
29 "nlmUsed": true,
30 "manager": 0,
31 "managerName": "string",
32 "imageId": 0,
33 "area": "string",
34 "modifiedAt": "2019-08-24T14:15:22Z"
35 },
36 "premiseFromNrm": true,
37 "premiseDisplayId": "string",
38 "nssProjectId": 0,
39 "nssTaskId": 0,
40 "nssTaskDisplayId": "string",
41 "orderDate": "2019-08-24",
42 "dueDate": "2019-08-24",
43 "startDate": "2019-08-24",
44 "endDate": "2019-08-24",
45 "startTime": {
46 "hour": 0,
47 "minute": 0,
48 "second": 0,
49 "nano": 0
50 },
51 "endTime": {
52 "hour": 0,
53 "minute": 0,
54 "second": 0,
55 "nano": 0
56 },
57 "modifiedAt": "2019-08-24T14:15:22Z",
58 "estimatedCost": "81.08",
59 "finalCost": "81.08",
60 "duration": 0,
61 "estimatedDayTime": 0,
62 "finalHourTime": "2.5",
63 "estimatedHourTime": "2.5",
64 "closeDate": "2019-08-24",
65 "inspection": "string",
66 "workOrderTypeId": 0,
67 "workOrderTypeName": "string",
68 "workOrderType": "string",
69 "workOrderPriorityId": 0,
70 "workOrderPriority": "string",
71 "workOrderPriorityType": "string",
72 "isTemplate": true,
73 "isWorkOrderTemplate": true,
74 "templateId": 0,
75 "isPartsInSufficient": true,
76 "partQuantityInfoList": [
77 {
78 "partId": 0,
79 "partDisplayId": "string",
80 "requestedQuantity": 0,
81 "availableQuantity": 0,
82 "usedQuantity": 0,
83 "sufficient": true,
84 "partial": true
85 }
86 ],
87 "parentWorkOrderId": 0,
88 "parentWorkOrderDisplayId": "string",
89 "parentWorkOrder": "string",
90 "mainAssetIds": [
91 0
92 ],
93 "mainAssetDto": {
94 "id": 0,
95 "createdBy": "string",
96 "createdAt": "2019-08-24T14:15:22Z",
97 "displayId": "string",
98 "name": "string",
99 "description": "string",
100 "qrCode": "string",
101 "barCode": "string",
102 "imageId": 0,
103 "model": "string",
104 "manufacturer": "string",
105 "serialNumber": "string",
106 "cost": "81.08",
107 "premiseId": 0,
108 "premiseDisplayId": "string",
109 "premiseDto": {
110 "id": 0,
111 "createdBy": "string",
112 "createdAt": "2019-08-24T14:15:22Z",
113 "displayId": "string",
114 "premiseName": "string",
115 "description": "string",
116 "address": "string",
117 "internalTeamNames": [
118 "string"
119 ],
120 "internalTeamIds": [
121 0
122 ],
123 "premiseAvailable": true,
124 "premiseFromNrm": true,
125 "nlmId": 0,
126 "nlmDisplayId": "string",
127 "nlmUsed": true,
128 "manager": 0,
129 "managerName": "string",
130 "imageId": 0,
131 "area": "string",
132 "modifiedAt": "2019-08-24T14:15:22Z"
133 },
134 "acquisitionDate": "2019-08-24",
135 "endOfLife": "2019-08-24",
136 "assetStatusId": 0,
137 "assetStatus": "string",
138 "assetStatusType": "string",
139 "parentAssetId": 0,
140 "parentAssetDisplayId": "string",
141 "parentAsset": "string",
142 "parentAssetDto": {},
143 "upcomingMaintenanceDate": "2019-08-24",
144 "assetCategoryIds": [
145 0
146 ],
147 "assetCategories": [
148 "string"
149 ],
150 "internalTeamIds": [
151 0
152 ],
153 "internalTeamDtos": [
154 {
155 "id": 0,
156 "createdBy": "string",
157 "createdAt": "2019-08-24T14:15:22Z",
158 "displayId": "string",
159 "name": "string",
160 "email": "string",
161 "phone": "string",
162 "manager": "string",
163 "requestCategoryName": [
164 "string"
165 ],
166 "requestCategoryId": [
167 0
168 ],
169 "requestCategoryDisplayId": [
170 "string"
171 ],
172 "description": "string",
173 "internalTeamUser": [
174 0
175 ],
176 "members": 0,
177 "mainAssets": [
178 0
179 ],
180 "premiseNames": [
181 "string"
182 ],
183 "internalTeamAvailable": true,
184 "premiseIds": [
185 0
186 ]
187 }
188 ],
189 "internalTeams": [
190 "string"
191 ],
192 "assignedUserIds": [
193 0
194 ],
195 "assignedUserDtos": [
196 {
197 "id": 0,
198 "createdBy": "string",
199 "createdAt": "2019-08-24T14:15:22Z",
200 "userName": "string",
201 "firstName": "string",
202 "lastName": "string",
203 "email": "string",
204 "roleIds": [
205 0
206 ],
207 "internalTeamNames": [
208 "string"
209 ],
210 "internalTeamIds": [
211 0
212 ],
213 "internalTeamDisplayIds": [
214 "string"
215 ],
216 "premiseIds": [
217 0
218 ],
219 "premiseNames": [
220 "string"
221 ],
222 "userAvailable": true,
223 "temporaryWorkload": 0,
224 "preferredCultureCode": "string"
225 }
226 ],
227 "assignedUsers": [
228 "string"
229 ],
230 "assetPriority": "string",
231 "assetPriorityId": 0,
232 "assetPriorityDisplayId": "string",
233 "assetPriorityType": "string",
234 "assetAvailable": true,
235 "exactPlacement": "string",
236 "fosId": 0,
237 "downtimeStatus": "string",
238 "premiseFromNrm": true,
239 "modifiedAt": "2019-08-24T14:15:22Z"
240 },
241 "mainAssetDisplayId": "string",
242 "workOrderStatusId": 0,
243 "workOrderStatus": "string",
244 "workOrderStatusType": "string",
245 "requestIds": [
246 0
247 ],
248 "internalTeamIds": [
249 0
250 ],
251 "internalTeamDtos": [
252 {
253 "id": 0,
254 "createdBy": "string",
255 "createdAt": "2019-08-24T14:15:22Z",
256 "displayId": "string",
257 "name": "string",
258 "email": "string",
259 "phone": "string",
260 "manager": "string",
261 "requestCategoryName": [
262 "string"
263 ],
264 "requestCategoryId": [
265 0
266 ],
267 "requestCategoryDisplayId": [
268 "string"
269 ],
270 "description": "string",
271 "internalTeamUser": [
272 0
273 ],
274 "members": 0,
275 "mainAssets": [
276 0
277 ],
278 "premiseNames": [
279 "string"
280 ],
281 "internalTeamAvailable": true,
282 "premiseIds": [
283 0
284 ]
285 }
286 ],
287 "internalTeams": [
288 "string"
289 ],
290 "vendorId": 0,
291 "vendorDto": {
292 "id": 0,
293 "createdBy": "string",
294 "createdAt": "2019-08-24T14:15:22Z",
295 "displayId": "string",
296 "name": "string",
297 "description": "string",
298 "address": "string",
299 "contractEndDate": "2019-08-24",
300 "services": "string",
301 "vendorType": "string",
302 "vendorStatusId": 0,
303 "vendorStatus": "string",
304 "vendorStatusType": "string",
305 "businessTypeId": 0,
306 "businessType": "string",
307 "vendorRateId": 0,
308 "vendorRate": "string",
309 "vendorContactIds": [
310 0
311 ],
312 "premiseIds": [
313 0
314 ],
315 "firstPremiseDisplayId": "string",
316 "ownerUserName": "string",
317 "ownerDto": {
318 "id": 0,
319 "createdBy": "string",
320 "createdAt": "2019-08-24T14:15:22Z",
321 "userName": "string",
322 "firstName": "string",
323 "lastName": "string",
324 "email": "string",
325 "roleIds": [
326 0
327 ],
328 "internalTeamNames": [
329 "string"
330 ],
331 "internalTeamIds": [
332 0
333 ],
334 "internalTeamDisplayIds": [
335 "string"
336 ],
337 "premiseIds": [
338 0
339 ],
340 "premiseNames": [
341 "string"
342 ],
343 "userAvailable": true,
344 "temporaryWorkload": 0,
345 "preferredCultureCode": "string"
346 },
347 "vendorAvailable": true,
348 "vendorRating": 0.1,
349 "premiseDisplayIds": [
350 "string"
351 ]
352 },
353 "vendorName": "string",
354 "workOrderTemplateSettings": {
355 "id": 0,
356 "createdBy": "string",
357 "createdAt": "2019-08-24T14:15:22Z",
358 "workOrderId": 0,
359 "startDate": "2019-08-24",
360 "dueDuration": 0,
361 "dueMonths": 0,
362 "endDate": "2019-08-24",
363 "recurringWOPriorityId": 0,
364 "recurringWOPriority": "string",
365 "recurringWOPriorityType": "string",
366 "isTemplate": true,
367 "isRemoveByDate": true,
368 "triggerByWorkOrderStatusId": 0,
369 "triggerByWorkOrderStatus": "string",
370 "triggerByWorkOrderStatusType": "string",
371 "removeByWorkOrderStatusId": 0,
372 "removeByWorkOrderStatus": "string",
373 "removeByWorkOrderStatusType": "string"
374 },
375 "assignedUserIds": [
376 0
377 ],
378 "assignedUserDtos": [
379 {
380 "id": 0,
381 "createdBy": "string",
382 "createdAt": "2019-08-24T14:15:22Z",
383 "userName": "string",
384 "firstName": "string",
385 "lastName": "string",
386 "email": "string",
387 "roleIds": [
388 0
389 ],
390 "internalTeamNames": [
391 "string"
392 ],
393 "internalTeamIds": [
394 0
395 ],
396 "internalTeamDisplayIds": [
397 "string"
398 ],
399 "premiseIds": [
400 0
401 ],
402 "premiseNames": [
403 "string"
404 ],
405 "userAvailable": true,
406 "temporaryWorkload": 0,
407 "preferredCultureCode": "string"
408 }
409 ],
410 "assignedUsers": [
411 "string"
412 ],
413 "variableQuantity": 0,
414 "workOrderAvailable": true,
415 "exactPlacement": "string",
416 "primaryWorkOrderId": 0,
417 "primaryWorkOrderDto": {
418 "id": 0,
419 "createdBy": "string",
420 "createdAt": "2019-08-24T14:15:22Z",
421 "displayId": "string",
422 "name": "string",
423 "imageId": 0,
424 "description": "string",
425 "vendorRating": 0,
426 "premiseId": 0,
427 "premiseDto": {
428 "id": 0,
429 "createdBy": "string",
430 "createdAt": "2019-08-24T14:15:22Z",
431 "displayId": "string",
432 "premiseName": "string",
433 "description": "string",
434 "address": "string",
435 "internalTeamNames": [
436 "string"
437 ],
438 "internalTeamIds": [
439 0
440 ],
441 "premiseAvailable": true,
442 "premiseFromNrm": true,
443 "nlmId": 0,
444 "nlmDisplayId": "string",
445 "nlmUsed": true,
446 "manager": 0,
447 "managerName": "string",
448 "imageId": 0,
449 "area": "string",
450 "modifiedAt": "2019-08-24T14:15:22Z"
451 },
452 "premiseFromNrm": true,
453 "premiseDisplayId": "string",
454 "nssProjectId": 0,
455 "nssTaskId": 0,
456 "nssTaskDisplayId": "string",
457 "orderDate": "2019-08-24",
458 "dueDate": "2019-08-24",
459 "startDate": "2019-08-24",
460 "endDate": "2019-08-24",
461 "startTime": {
462 "hour": 0,
463 "minute": 0,
464 "second": 0,
465 "nano": 0
466 },
467 "endTime": {
468 "hour": 0,
469 "minute": 0,
470 "second": 0,
471 "nano": 0
472 },
473 "modifiedAt": "2019-08-24T14:15:22Z",
474 "estimatedCost": "81.08",
475 "finalCost": "81.08",
476 "duration": 0,
477 "estimatedDayTime": 0,
478 "finalHourTime": "2.5",
479 "estimatedHourTime": "2.5",
480 "closeDate": "2019-08-24",
481 "inspection": "string",
482 "workOrderTypeId": 0,
483 "workOrderTypeName": "string",
484 "workOrderType": "string",
485 "workOrderPriorityId": 0,
486 "workOrderPriority": "string",
487 "workOrderPriorityType": "string",
488 "isTemplate": true,
489 "isWorkOrderTemplate": true,
490 "templateId": 0,
491 "isPartsInSufficient": true,
492 "partQuantityInfoList": [
493 {
494 "partId": 0,
495 "partDisplayId": "string",
496 "requestedQuantity": 0,
497 "availableQuantity": 0,
498 "usedQuantity": 0,
499 "sufficient": true,
500 "partial": true
501 }
502 ],
503 "parentWorkOrderId": 0,
504 "parentWorkOrderDisplayId": "string",
505 "parentWorkOrder": "string",
506 "mainAssetIds": [
507 0
508 ],
509 "mainAssetDto": {
510 "id": 0,
511 "createdBy": "string",
512 "createdAt": "2019-08-24T14:15:22Z",
513 "displayId": "string",
514 "name": "string",
515 "description": "string",
516 "qrCode": "string",
517 "barCode": "string",
518 "imageId": 0,
519 "model": "string",
520 "manufacturer": "string",
521 "serialNumber": "string",
522 "cost": "81.08",
523 "premiseId": 0,
524 "premiseDisplayId": "string",
525 "premiseDto": {
526 "id": 0,
527 "createdBy": "string",
528 "createdAt": "2019-08-24T14:15:22Z",
529 "displayId": "string",
530 "premiseName": "string",
531 "description": "string",
532 "address": "string",
533 "internalTeamNames": [
534 "string"
535 ],
536 "internalTeamIds": [
537 0
538 ],
539 "premiseAvailable": true,
540 "premiseFromNrm": true,
541 "nlmId": 0,
542 "nlmDisplayId": "string",
543 "nlmUsed": true,
544 "manager": 0,
545 "managerName": "string",
546 "imageId": 0,
547 "area": "string",
548 "modifiedAt": "2019-08-24T14:15:22Z"
549 },
550 "acquisitionDate": "2019-08-24",
551 "endOfLife": "2019-08-24",
552 "assetStatusId": 0,
553 "assetStatus": "string",
554 "assetStatusType": "string",
555 "parentAssetId": 0,
556 "parentAssetDisplayId": "string",
557 "parentAsset": "string",
558 "parentAssetDto": {},
559 "upcomingMaintenanceDate": "2019-08-24",
560 "assetCategoryIds": [
561 0
562 ],
563 "assetCategories": [
564 "string"
565 ],
566 "internalTeamIds": [
567 0
568 ],
569 "internalTeamDtos": [
570 {
571 "id": 0,
572 "createdBy": "string",
573 "createdAt": "2019-08-24T14:15:22Z",
574 "displayId": "string",
575 "name": "string",
576 "email": "string",
577 "phone": "string",
578 "manager": "string",
579 "requestCategoryName": [
580 "string"
581 ],
582 "requestCategoryId": [
583 0
584 ],
585 "requestCategoryDisplayId": [
586 "string"
587 ],
588 "description": "string",
589 "internalTeamUser": [
590 0
591 ],
592 "members": 0,
593 "mainAssets": [
594 0
595 ],
596 "premiseNames": [
597 "string"
598 ],
599 "internalTeamAvailable": true,
600 "premiseIds": [
601 0
602 ]
603 }
604 ],
605 "internalTeams": [
606 "string"
607 ],
608 "assignedUserIds": [
609 0
610 ],
611 "assignedUserDtos": [
612 {
613 "id": 0,
614 "createdBy": "string",
615 "createdAt": "2019-08-24T14:15:22Z",
616 "userName": "string",
617 "firstName": "string",
618 "lastName": "string",
619 "email": "string",
620 "roleIds": [
621 0
622 ],
623 "internalTeamNames": [
624 "string"
625 ],
626 "internalTeamIds": [
627 0
628 ],
629 "internalTeamDisplayIds": [
630 "string"
631 ],
632 "premiseIds": [
633 0
634 ],
635 "premiseNames": [
636 "string"
637 ],
638 "userAvailable": true,
639 "temporaryWorkload": 0,
640 "preferredCultureCode": "string"
641 }
642 ],
643 "assignedUsers": [
644 "string"
645 ],
646 "assetPriority": "string",
647 "assetPriorityId": 0,
648 "assetPriorityDisplayId": "string",
649 "assetPriorityType": "string",
650 "assetAvailable": true,
651 "exactPlacement": "string",
652 "fosId": 0,
653 "downtimeStatus": "string",
654 "premiseFromNrm": true,
655 "modifiedAt": "2019-08-24T14:15:22Z"
656 },
657 "mainAssetDisplayId": "string",
658 "workOrderStatusId": 0,
659 "workOrderStatus": "string",
660 "workOrderStatusType": "string",
661 "requestIds": [
662 0
663 ],
664 "internalTeamIds": [
665 0
666 ],
667 "internalTeamDtos": [
668 {
669 "id": 0,
670 "createdBy": "string",
671 "createdAt": "2019-08-24T14:15:22Z",
672 "displayId": "string",
673 "name": "string",
674 "email": "string",
675 "phone": "string",
676 "manager": "string",
677 "requestCategoryName": [
678 "string"
679 ],
680 "requestCategoryId": [
681 0
682 ],
683 "requestCategoryDisplayId": [
684 "string"
685 ],
686 "description": "string",
687 "internalTeamUser": [
688 0
689 ],
690 "members": 0,
691 "mainAssets": [
692 0
693 ],
694 "premiseNames": [
695 "string"
696 ],
697 "internalTeamAvailable": true,
698 "premiseIds": [
699 0
700 ]
701 }
702 ],
703 "internalTeams": [
704 "string"
705 ],
706 "vendorId": 0,
707 "vendorDto": {
708 "id": 0,
709 "createdBy": "string",
710 "createdAt": "2019-08-24T14:15:22Z",
711 "displayId": "string",
712 "name": "string",
713 "description": "string",
714 "address": "string",
715 "contractEndDate": "2019-08-24",
716 "services": "string",
717 "vendorType": "string",
718 "vendorStatusId": 0,
719 "vendorStatus": "string",
720 "vendorStatusType": "string",
721 "businessTypeId": 0,
722 "businessType": "string",
723 "vendorRateId": 0,
724 "vendorRate": "string",
725 "vendorContactIds": [
726 0
727 ],
728 "premiseIds": [
729 0
730 ],
731 "firstPremiseDisplayId": "string",
732 "ownerUserName": "string",
733 "ownerDto": {
734 "id": 0,
735 "createdBy": "string",
736 "createdAt": "2019-08-24T14:15:22Z",
737 "userName": "string",
738 "firstName": "string",
739 "lastName": "string",
740 "email": "string",
741 "roleIds": [
742 0
743 ],
744 "internalTeamNames": [
745 "string"
746 ],
747 "internalTeamIds": [
748 0
749 ],
750 "internalTeamDisplayIds": [
751 "string"
752 ],
753 "premiseIds": [
754 0
755 ],
756 "premiseNames": [
757 "string"
758 ],
759 "userAvailable": true,
760 "temporaryWorkload": 0,
761 "preferredCultureCode": "string"
762 },
763 "vendorAvailable": true,
764 "vendorRating": 0.1,
765 "premiseDisplayIds": [
766 "string"
767 ]
768 },
769 "vendorName": "string",
770 "workOrderTemplateSettings": {
771 "id": 0,
772 "createdBy": "string",
773 "createdAt": "2019-08-24T14:15:22Z",
774 "workOrderId": 0,
775 "startDate": "2019-08-24",
776 "dueDuration": 0,
777 "dueMonths": 0,
778 "endDate": "2019-08-24",
779 "recurringWOPriorityId": 0,
780 "recurringWOPriority": "string",
781 "recurringWOPriorityType": "string",
782 "isTemplate": true,
783 "isRemoveByDate": true,
784 "triggerByWorkOrderStatusId": 0,
785 "triggerByWorkOrderStatus": "string",
786 "triggerByWorkOrderStatusType": "string",
787 "removeByWorkOrderStatusId": 0,
788 "removeByWorkOrderStatus": "string",
789 "removeByWorkOrderStatusType": "string"
790 },
791 "assignedUserIds": [
792 0
793 ],
794 "assignedUserDtos": [
795 {
796 "id": 0,
797 "createdBy": "string",
798 "createdAt": "2019-08-24T14:15:22Z",
799 "userName": "string",
800 "firstName": "string",
801 "lastName": "string",
802 "email": "string",
803 "roleIds": [
804 0
805 ],
806 "internalTeamNames": [
807 "string"
808 ],
809 "internalTeamIds": [
810 0
811 ],
812 "internalTeamDisplayIds": [
813 "string"
814 ],
815 "premiseIds": [
816 0
817 ],
818 "premiseNames": [
819 "string"
820 ],
821 "userAvailable": true,
822 "temporaryWorkload": 0,
823 "preferredCultureCode": "string"
824 }
825 ],
826 "assignedUsers": [
827 "string"
828 ],
829 "variableQuantity": 0,
830 "workOrderAvailable": true,
831 "exactPlacement": "string",
832 "primaryWorkOrderId": 0,
833 "primaryWorkOrderDto": {},
834 "primaryWorkOrderDisplayId": "string",
835 "isPrimary": true,
836 "invoiceIds": [
837 0
838 ],
839 "createdByTrigger": true,
840 "internalCosts": "81.08",
841 "invoiceTotal": "81.08",
842 "partsTotal": "81.08",
843 "inspectionItemId": 0,
844 "partIdToAttach": 0,
845 "recurringWOPriorityId": 0,
846 "triggerByWorkOrderStatusId": 0,
847 "removeByWorkOrderStatusId": 0,
848 "recurringWOPriority": "string",
849 "recurringWOPriorityType": "string",
850 "triggerByWorkOrderStatus": "string",
851 "triggerByWorkOrderStatusType": "string",
852 "removeByWorkOrderStatus": "string",
853 "removeByWorkOrderStatusType": "string",
854 "recurringWOStartDate": "2019-08-24",
855 "recurringWOEndDate": "2019-08-24",
856 "recurringWODueDuration": 0,
857 "recurringWODueMonths": 0,
858 "recurringWOIsTemplate": true,
859 "recurringWOIsRemoveByDate": true
860 },
861 "primaryWorkOrderDisplayId": "string",
862 "isPrimary": true,
863 "invoiceIds": [
864 0
865 ],
866 "createdByTrigger": true,
867 "internalCosts": "81.08",
868 "invoiceTotal": "81.08",
869 "partsTotal": "81.08",
870 "inspectionItemId": 0,
871 "partIdToAttach": 0,
872 "recurringWOPriorityId": 0,
873 "triggerByWorkOrderStatusId": 0,
874 "removeByWorkOrderStatusId": 0,
875 "recurringWOPriority": "string",
876 "recurringWOPriorityType": "string",
877 "triggerByWorkOrderStatus": "string",
878 "triggerByWorkOrderStatusType": "string",
879 "removeByWorkOrderStatus": "string",
880 "removeByWorkOrderStatusType": "string",
881 "recurringWOStartDate": "2019-08-24",
882 "recurringWOEndDate": "2019-08-24",
883 "recurringWODueDuration": 0,
884 "recurringWODueMonths": 0,
885 "recurringWOIsTemplate": true,
886 "recurringWOIsRemoveByDate": true
887}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "id": 0,
3 "createdBy": "string",
4 "createdAt": "2019-08-24T14:15:22Z",
5 "displayId": "string",
6 "name": "string",
7 "imageId": 0,
8 "description": "string",
9 "vendorRating": 0,
10 "premiseId": 0,
11 "premiseDto": {
12 "id": 0,
13 "createdBy": "string",
14 "createdAt": "2019-08-24T14:15:22Z",
15 "displayId": "string",
16 "premiseName": "string",
17 "description": "string",
18 "address": "string",
19 "internalTeamNames": [
20 "string"
21 ],
22 "internalTeamIds": [
23 0
24 ],
25 "premiseAvailable": true,
26 "premiseFromNrm": true,
27 "nlmId": 0,
28 "nlmDisplayId": "string",
29 "nlmUsed": true,
30 "manager": 0,
31 "managerName": "string",
32 "imageId": 0,
33 "area": "string",
34 "modifiedAt": "2019-08-24T14:15:22Z"
35 },
36 "premiseFromNrm": true,
37 "premiseDisplayId": "string",
38 "nssProjectId": 0,
39 "nssTaskId": 0,
40 "nssTaskDisplayId": "string",
41 "orderDate": "2019-08-24",
42 "dueDate": "2019-08-24",
43 "startDate": "2019-08-24",
44 "endDate": "2019-08-24",
45 "startTime": {
46 "hour": 0,
47 "minute": 0,
48 "second": 0,
49 "nano": 0
50 },
51 "endTime": {
52 "hour": 0,
53 "minute": 0,
54 "second": 0,
55 "nano": 0
56 },
57 "modifiedAt": "2019-08-24T14:15:22Z",
58 "estimatedCost": "81.08",
59 "finalCost": "81.08",
60 "duration": 0,
61 "estimatedDayTime": 0,
62 "finalHourTime": "2.5",
63 "estimatedHourTime": "2.5",
64 "closeDate": "2019-08-24",
65 "inspection": "string",
66 "workOrderTypeId": 0,
67 "workOrderTypeName": "string",
68 "workOrderType": "string",
69 "workOrderPriorityId": 0,
70 "workOrderPriority": "string",
71 "workOrderPriorityType": "string",
72 "isTemplate": true,
73 "isWorkOrderTemplate": true,
74 "templateId": 0,
75 "isPartsInSufficient": true,
76 "partQuantityInfoList": [
77 {
78 "partId": 0,
79 "partDisplayId": "string",
80 "requestedQuantity": 0,
81 "availableQuantity": 0,
82 "usedQuantity": 0,
83 "sufficient": true,
84 "partial": true
85 }
86 ],
87 "parentWorkOrderId": 0,
88 "parentWorkOrderDisplayId": "string",
89 "parentWorkOrder": "string",
90 "mainAssetIds": [
91 0
92 ],
93 "mainAssetDto": {
94 "id": 0,
95 "createdBy": "string",
96 "createdAt": "2019-08-24T14:15:22Z",
97 "displayId": "string",
98 "name": "string",
99 "description": "string",
100 "qrCode": "string",
101 "barCode": "string",
102 "imageId": 0,
103 "model": "string",
104 "manufacturer": "string",
105 "serialNumber": "string",
106 "cost": "81.08",
107 "premiseId": 0,
108 "premiseDisplayId": "string",
109 "premiseDto": {
110 "id": 0,
111 "createdBy": "string",
112 "createdAt": "2019-08-24T14:15:22Z",
113 "displayId": "string",
114 "premiseName": "string",
115 "description": "string",
116 "address": "string",
117 "internalTeamNames": [
118 "string"
119 ],
120 "internalTeamIds": [
121 0
122 ],
123 "premiseAvailable": true,
124 "premiseFromNrm": true,
125 "nlmId": 0,
126 "nlmDisplayId": "string",
127 "nlmUsed": true,
128 "manager": 0,
129 "managerName": "string",
130 "imageId": 0,
131 "area": "string",
132 "modifiedAt": "2019-08-24T14:15:22Z"
133 },
134 "acquisitionDate": "2019-08-24",
135 "endOfLife": "2019-08-24",
136 "assetStatusId": 0,
137 "assetStatus": "string",
138 "assetStatusType": "string",
139 "parentAssetId": 0,
140 "parentAssetDisplayId": "string",
141 "parentAsset": "string",
142 "parentAssetDto": {},
143 "upcomingMaintenanceDate": "2019-08-24",
144 "assetCategoryIds": [
145 0
146 ],
147 "assetCategories": [
148 "string"
149 ],
150 "internalTeamIds": [
151 0
152 ],
153 "internalTeamDtos": [
154 {
155 "id": 0,
156 "createdBy": "string",
[...]
